snapcraft (2.43.1+18.10) cosmic; urgency=medium

  [ Sergio Schvezov ]
  * lxd: support new style snap injection (#2222)
  * snap: prepare override scripts to allow rebuilding (#2223)
  * lxd: wait for cloud-init (#2227)
  * storeapi: handle releasing to a curly braced branch (#2228)
  * snap: use set-version and set-grade (#2230)
  * lxd: proper filename set when using architectures (#2232)
  * tests: cover manifest generation with review-tools (#2235)
  * reporting: record the released version for errors (#2238)
  * file_utils: find tool when using docker and deb (#2240)
  * elf: better messaging on glibc ABI incompatibilities (#2241)
  * New upstream release (LP: #1789766)

  [ Kyle Fazzari ]
  * spread: stop running catkin tests on 18.10 (#2221)
  * snapcraftctl: run in isolation mode (#2224)
  * templates: reimplement templates as python classes (#2226)
  * templates: rename to extensions (#2233)
  * cli: add list-extensions command (#2237)
  * extensions: fix install path (#2236)

  [ Evan Dandrea]
  * reporting: improve messaging on errors (#2242)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 30 Aug 2018 00:08:05 +0000

snapcraft (2.43) xenial; urgency=medium

  [ Sergio Schvezov ]
  * recording: expose the version of snapcraft (#2147)
  * tests: add a fixture for OsRelease to simplify test setup
  * recording: add the os-release ID and VERSION_ID to manifest.yaml
  * nodejs plugin: update to the latest 6.x LTS point release (#2157)
  * snap: use apt from the archive instead of compiling (#2156)
  * build_providers: support for communicating with a qemu VM (#2155)
  * many: refactor snapcraft.yaml loading out of load_config (#2160)
  * tests: update codespell, the scope of checks and ordering of static
           tests (#2162)
  * rust plugin: fix cargo builds and run tests (#2170)
  * build_providers: add ssh key managemet to the qemu build provider (#2168)
  * ci: disable osx tests until a new pyyaml is released
  * build_providers: inject snaps when running from a snap (#2174)
  * code: use black as the standard style (#2180)
  * cli: reserve the --debug option for snapcraft projects (#2185)
  * state: allow parametrization of the global state file (#2186)
  * errors: enable sentry by default (#2187)
  * file_utils: get_tool_path to always return an absolute path (#2193)
  * errors: support keyboard interrupts (#2198)
  * build_providers: add a build image setup facility (#2192)
  * build providers: better injection logic (#2196)
  * Revert "ci: disable osx tests until a new pyyaml is released" (#2213)
  * providers: multipass by default on darwin (#2215)
  * New upstream release (LP: #1787419)

  [ Kyle Fazzari ]
  * lifecycle: automatically stage dependencies (#2144)
  * lifecycle: automatically clean dirty steps (#2145)
  * travis: use LXD from 3.0 track (#2149)
  * project_loader: process parts in consistent order (#2146)
  * project_loader: allow loading null parts (#2153)
  * tests: disable sentry (#2154)
  * lifecycle: don't clean priming area if the snap is being tried (#2143)
  * many: extract lifecycle ordering into own module (#2159)
  * many: automatically redo step for specified part (#2152)
  * tests: add lifecycle ordering tests (#2163)
  * many: automatically detect dependency changes (#2165)
  * project_loader: replace dict keys as well as values (#2166)
  * {catkin,python} plugin: support cleaning (#2171)
  * many: add shellcheck to static tests (#2172)
  * lifecycle: detect local source changes (#2167)
  * lifecycle: pass commands to containerbuild, not steps (#2178)
  * cli: SNAPCRAFT_BUILD_ENVIRONMENT isn't deprecated (#2179)
  * pluginhandler: use uname from the host (#2177)
  * store: properly handle disabled deltas (#2181)
  * tests: create basic integration test spread infrastructure (#2173)
  * tests: add spread suite for autotools plugin (#2182)
  * tests: add spread suite for cmake plugin (#2183)
  * spread: stop testing 17.10 (#2197)
  * tests: add spread suite for copy plugin (#2199)
  * tests: add spread suite for nil plugin (#2201)
  * tests: add spread suite for kbuild plugin (#2203)
  * kbuild plugin: stop modifying kconfigfile (#2204)
  * tests: support running spread suite in autopkgtests (#2188)
  * tests: add spread suite for meson plugin (#2205)
  * tests: add spread suite for godeps plugin (#2200)
  * tests: add spread suite for scons plugin (#2208)
  * tests: add spread suite for catkin plugin (#2206)
  * tests: add spread suite for waf plugin (#2210)
  * cli: add inspect subcommand (#2184)
  * tests: add spread suite for tar-content plugin (#2209)
  * tests: add spread suite for ament plugin (#2211)
  * tests: add spread suite for ruby plugin (#2212)
  * project_loader: add basic template support (#2189)
  * spread tests: vendor gotty
  * spread tests: vendor kbuild-template
  * spread tests: vendor hello
  * sentry: support disabling error reporting (#2214)

  [ Daniel Llewellyn ]
  * jhbuild plugin: allow running as 'root' (#2141)

  [ Emmanuel Leblond ]
  * python plugin: add process-dependency-links to the pull_properties (#2190)
  * ci: improve pr template and tools' ignored files list (#2191)

  [ Celso Providelo ]
  * tests: stricter match when running snapcraft revisions (#2195)

  [ Michael Vogt ]
  * go plugin: do not install go debs if go snap is used (#2194)

  [ Jesse Sung ]
  * kbuild plugin: read configs from source directory instead (#2202)

  [ Paolo Pisati ]
  * kernel plugin: install .config as config-$kernelversion (#2207)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 16 Aug 2018 14:12:55 +0000

snapcraft (2.42.1) xenial; urgency=medium

  [ Sergio Schvezov ]
  * repo: rollback to using dpkg-deb for deb extraction (#2111)
  * pluginhandler: correctly dedent the run script (#2117)
  * many: dedup environment entries (#2120)
  * packaging: load the correct libraries on armhf (#2126)
  * delta: properly search for in-snap xdelta3 (#2127)
  * package: disable user site-packages for snapcraft (#2131)
  * tests: remove obsolete env var (#2130)
  * errors: generic exception for common.run[_output] (#2132)
  * tests: add subprocess to lifecycle tests
  * ci: resurrect codecov (#2138)
  * ci: remove unused cron tests (#2139)
  * tests: generalize the plainbox-provider tests
  * New upstream release (LP: #1771915)

  [ Kyle Fazzari ]
  * HACKING: suggest snapcraft-pr for evaluating PRs (#2108)
  * repo: fix all python shebangs in stage-packages (#2112)
  * sources: don't clean target for FileBase sources (#2113)
  * meta: stop creating empty snap directory in prime (#2114)
  * snapcraft.yaml: update apt repo location (#2124)
  * file_utils: don't let FileNotFoundError escape (#2123)
  * storeapi: ensure snap ID is sane before using it (#2115)
  * pluginhandler: collide with directories and symlinks (#1064)
  * storeapi: handle 5xx error codes for all store endpoints (#2116)
  * many: introduce variables for part src and build (#2122)
  * repo: automatically prune unneeded stage-packages (#2119)

  [ Christian Dywan ]
  * sources: clean up IncompatibleOptionsError (#2109)
  * lxd: proper error classes for container errors (#2095)

  [ Jonathan Cave ]
  * plainbox-provider plugin: include pip, setuptools and wheel as stage-packages (#2140)

 -- Segio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 18 May 2018 02:28:55 +0000

snapcraft (2.42) xenial; urgency=medium

  [ Sergio Schvezov ]
  * elf: patch everything instead of a subset of elf files (#2081)
  * elf: clear the current runpath before setting the rpath (#2085)
  * python plugin: properly handle distutils on bionic
  * ci: add the python integration tests on bionic for travis
  * many: remove support for remote lxd per project containers (#2089)
  * schema: allow refresh-mode and stop-mode (#2092)
  * packaging: include changelog for setup.py's version detection (#2097)
  * ci: enable OSX testing on travis (#2084)
  * tests: use a common cache for the integration tests
  * tests: remove the SharedCache fixture and uses of it
  * many: allow building in containers with no version in project (#2104)
  * errors: remove logic for SNAPCRAFT_SEND_ERROR_DATA
  * errors: implement the always option to sent to sentry
  * package: make use of snapcraftctl snapcraft features (#2103)
  * nodejs plugin: lazy load the required tarballs (#2106)
  * build_providers: new build provider using multipass (#2100)
  * tests: use FakeSnapd for grammar tests
  * tests: adapt the integration suite to work for all releases
  * New upstream release (LP: #1767016)

  [ Kyle Fazzari ]
  * project_loader: support architectures for CI (#2080)
  * meta: soften warning about using passthrough (#2091)
  * storeapi: better handle network errors and retries (#2094)
  * grammar: support compound on..to statement (#2088)
  * tests: fix arch-specific integration tests

  [ Christian Dywan ]
  * python: bring back support for older versions of pip (#2055)
  * tests: don't use os_release and repo from snapcraft (#2096)
  * lxd: wait for on-going refreshes to finish (#2098)
  * ci: setup AppVeyor (#2087)
  * repo: catch error updating the package cache (#2079)
  * tests: do not shadow deb_arch in architecture scenarios
  * tests: parser tests need the cache
  * tests: don't hard-code expected arch in VersionScriptTestCase

  [ Rakesh Singh ]
  * dotnet plugin: add dotnet command to path for step overriding (#1909)

  [ Michael Vogt ]
  * lifecycle: skip -all-root for base snaps (#2090)

  [ Matias Bordese ]
  * tests: update metadata store integration test, no previous push
    required (#2086)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 26 Apr 2018 01:58:29 +0000

snapcraft (2.41) xenial; urgency=medium

  [ Sergio Schvezov ]
  * package: ensure all relevant files are in for sdist (#2060)
  * errors: enable sending tracebacks to sentry (#1961)
  * errors: improve the UX for sending error data (#2024)
  * errors: remove stack data when sending to sentry (#2036)
  * errors: feature flag error reports (#2066)
  * packaging: simplify snapcraft.yaml (#2062)
  * many: update the yaml loading logic (#2065)
  * extractors: support for setup.py (#2070)
  * lifecycle: handle missing version correctly (#2072)
  * python plugin: do not invoke wheel install if empty (#2077)
  * patches: improve ctypes patch for python 3.5
  * ci: enable subset of integration tests on bionic
  * errors: skip the sentry test if raven is no installed (#2075)
  * New upstream release (LP: #1763934)

  [ Kyle Fazzari ]
  * many: add snapcraftctl command for scriptlets (#2002)
  * kernel plugin: add kmod as build-package (#2041)
  * cli: support exporting login to stdout (#2043)
  * many: add override-pull scriptlet (#2045)
  * pluginhandler: organize in build instead of stage (#2047)
  * tests: extract sources suite from general suite (#2054)
  * many: add override-stage scriptlet (#2049)
  * tests: extract lifecycle suite from general suite (#2057)
  * many: add override-prime scriptlet (#2052)
  * elf: use snapped strip (#2051)
  * storeapi: properly handle lacking permission for channel (#2050)
  * many: add snapcraftctl set-version (#2063)
  * storeapi: handle 500 error response when releasing snap (#2059)
  * states: track override scriptlets (#2068)
  * many: add snapcraftctl set-grade (#2067)
  * meta: validate extracted and scriptlet metadata (#2073)

  [ Christian Dywan ]
  * options: introduce Project and ProjectInfo (#1995)
  * lxd: friendly error with suggestions if network is broken (#1930)
  * lxd: merge existing image info contents when using containerbuilds (#1997)
  * lxd: specify arch in lxc image list command (#2046)
  * meta: implement passthrough of properties to snap.yaml (#2053)

  [ Guilhem Lettron ]
  * nodejs plugin: add option for setting npm flags (#2038)

  [ Bjorn Tillenius ]
  * python plugin: install python-distutils when run on bionic (#2058)

  [ Rakesh Singh ]
  * dotnet plugin: add support enable configurable runtime version for
    .NET Core applications (#1911)

  [ Colin Watson ]
  * storeapi: fix formatting of some store errors (#2056)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Sat, 14 Apr 2018 12:13:35 +0000

snapcraft (2.40.1) xenial; urgency=medium

  [ Evan Dandrea ]
  * readme: polish the landing page (#2022)

  [ Christian Dywan ]
  * repo: catch error due to broken build packages (#2023)

  [ Sergio Schvezov ]
  * pluginhandler: organize correcly for targets with leading / (#2034)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 27 Mar 2018 21:09:24 +0000

snapcraft (2.40) xenial; urgency=medium

  [ Sergio Schvezov ]
  * elf: better debug messages (#1950)
  * elf: clear execstack by default (#1945)
  * repo: silence deb caching when fetching packages (#1949)
  * meta: make sure adapter does not propagate (#1955)
  * store: stringify message for StoreDeltaApplicationError (#1962)
  * python plugin: find setup.py when source-subdir is used (#1975)
  * ci: switch to stable lxd and unconfined containers (#1978)
  * project_loader: improve the logic to install patchelf as a build tool (#1967)
  * demos: avoid use of the wrapper for java-hello-world (#1968)
  * lifecycle: when priming dependencies need to be primed (#1977)
  * pluginhandler: simplify logic when elf patching is required (#1979)
  * pluginhandler: add option to disable patchelf for a part (#1987)
  * schema: add keep-execstack (#1986)
  * elf: remove dead code (#2000)
  * core: initial support for bases (#1993)
  * docker: export SNAP_ARCH into the environment (#1994)
  * tests: add SNAPCRAFT_KEEP_DATA_PATH for integration (#1996)
  * errros: add a specific error when running commands from plugins (#2004)
  * pluginhandler: special case go patchelf failures for classic confinement (#2005)
  * many: use packaging logic to get patchelf (#2006)
  * project_loader: fix the host to base compatibility check (#2009)
  * pluginhandler: only do elf checking and patching for type app (#2012)
  * demos: use realpath in command entry for java-hello-world (#2016)
  * many: optimize retrieval of the linker version (#2017)
  * tests: minor fixes to autopkgtests (#2018)
  * elf: avoid duplicating rpath entries (#2019)
  * pluginhandler: only resort to elf mangling if the snap type is app (#2021)
  * New upstream release (LP: #1756939)

  [ Leo Arias ]
  * tests: split the plugins tests in the same directory (#1944)
  * tests: move test files out of the snapcraft dir (#1948)
  * extractors: replace desktop file ids with paths (#1879)
  * extractors: add support for common-id  (#1960)
  * tests: remove ProjectOptions dependency from the integration suite (#1965)
  * tests: remove dependency of internal repo from integration suite (#1971)
  * tests: remove the internal os_release dependency (#1981)
  * tests: remove _options dependency from integration suite (#1972)
  * tests: update store tests user (#1984)
  * tests: document arm testing setup (#1985)

  [ Kyle Fazzari ]
  * catkin plugin: extract Wstool into its own module (#1927)
  * elf: remove all un-primed libs from soname cache (#1980)
  * catkin plugin: support recursive rosinstall files (#1934)
  * elf: only set rpaths to libs of the same arch (#1988)
  * elf: don't parse elf more than necessary (#1989)
  * catkin plugin: replace python calls in all profile.d scripts (#2007)
  * docs: add execstack to HACKING.md's list of deb deps (#2015)
  * integration tests: snap tests shouldn't be arch-specific (#2014)

  [ Gustavo Silva ]
  * cli: add version command (#1746)

  [ John Lenton ]
  * schema: improve the snap name's validator (#1957)
  * snap: actually plug the completer in. (#1956)
  * tests: adapt store tests with new snap name registration error messages
    (#1964)

  [ Christian Dywan ]
  * project_loader: handle invalid unicode chars (#1941)
  * lxd: initialize remote lazily (#1916)

  [ Celso Providelo ]
  * store: support for more granular store permissions (#1958)

  [ James Henstridge ]
  * elf: only consider regular files as possible ELF binaries (#1976)
  * elf: only patch elf files that aren't referenced by DT_NEEDED (#1959)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 19 Mar 2018 12:40:43 +0000

snapcraft (2.39.2) xenial; urgency=medium

  [ Sergio Schvezov ]
  * tests: improvements to demos (#1938)
  * tests: remove the webcam-webui demo (#1940)
  * elf: contemplate more patching scenarios (#1935)
  * New upstream release (LP: #1745488)

  [ Kyle Fazzari ]
  * tests: remove duplicate tests (#1928)
  * schema: remove underscore from version pattern (#1933)
  * store: support pushing snap with no architectures (#1937)
  * storeapi: handle errors even for >400 responses (#1936)

  [ Christian Dywan ]
  * sources: proper errors for invalid handlers (#1929)

  [ Sylvain Pineau ]
  * tests: update the plainbox-provider tests (#1931)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 20 Feb 2018 00:40:00 +0000

snapcraft (2.39.1) xenial; urgency=medium

  [ Sergio Schvezov ]
  * tests: setup the correct environment for adt (#1907)
  * snap: patch ctypes for the snap and remove libarchive (#1915)
  * tests: update tests to work in adt (#1908)
  * elf: cache crawled files (#1925)

  [ Leo Arias ]
  * elf: use surrogate escape when decoding readelf output (#1903)

  [ Christian Dywan ]
  * os-release: stub for when /etc/os-release doesn't exist (#1880)

  [ James Henstridge ]
  * elf: pyelftools to parse ELF files rather than readelf (#1913)

  [ Christian Dywan ]
  * lxd: raw.idmap expects host and container id respectively (#1904)

  [ Kyle Fazzari ]
  * docker: add Dockerfiles for all risk levels (#1914)
  * schema: update version regex (#1924)
  * mypy: update to 0.560 (#1923)
  * remote_parts: handle connection errors (#1906)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 15 Feb 2018 12:14:00 +0000

snapcraft (2.39) xenial; urgency=medium

  [ Sergio Schvezov ]
  * tests: fix broken rust test snap (#1838)
  * docker: instructions to build from the snap (#1840)
  * cli: implement help <command> (#1845)
  * elf: warn if primed files will not work with the base's linker (#1843)
  * setup: simplify bin/snapcraft and correct tests (#1860)
  * pluginhandler: patch and handle elf files on glibc mismatch
  * tests: split more tests and and add an invisible ticker for travis
  * tests: call file directly for the HasArchitecture checker (#1868)
  * kernel plugin: remove dependency on magic (#1867)
  * elf: remove dependency on magic (#1870)
  * elf: cleaner patchelf experience (#1873)
  * Revert "meta: create XDG_RUNTIME_DIR in wrappers. (#1818)" (#1883)
  * elf: better handling for newer libc6 (#1881)
  * elf: make patchelf a dependency (#1888)
  * docker: user proper tags in Readme.md (#1897)
  * elf: do not strip rpaths that contain $ORIGIN (#1896)
  * elf: check if file exists before checking if ELF (#1901)

  [ Kyle Fazzari ]
  * cli: add expiration option to export-login (#1831)
  * zip: support extracting non-unix zip files (#1862)
  * cli: exported login should only be readable by owner (#1869)
  * lifecycle: use in-snap mksquashfs if running from snap (#1891)
  * cli: use C.UTF-8 if locale not set (#1893)
  * docker: beta should use beta, edge use edge (#1895)
  * docker: don't rely on snapcraft-classic
  * many: use in-snap unsquashfs and readelf if running from snap (#1902)

  [ Leo Arias ]
  * extractors: also support appdata.xml appstream files. (#1861)
  * extractors: support appstream icon and desktop (#1853)
  * tests: allow to overwrite the snapcraft install command (#1894)

  [ Christian Dywan ]
  * lxd: change "Terminating" message to debug level (#1842)
  * lxd: use user in container when mounting remote via sshfs (#1847)
  * remote_parts: Use hashed folder based on parts URI (#1856)
  * grammar: to statement (#1639)
  * grammar: make on statement use host architecture (#1857)
  * repo: use debian.arfile instead of dpkg-deb (#1878)
  * lxd: always (re-)injects snaps if necessary (#1865)

  [ Paolo Pisati ]
  * kernel plugin: update initrd.img-core path to boot/initrd.img (#1839)
  * kbuild plugin: pick up CROSS_COMPILE only if not empty (#1874)

  [ Alberto Donato ]
  * schema: add options to configure applications socket activation (#1617)

  [ Herman Yanush ]
  * cli: humanize push message (#1833)

  [ Konrad Krawiec ]
  * cmake plugin: update plugin help (#1832)
  * storeapi: add docstrings for _snap_index_client.py (#1855)

  [ Marcin Mikołajczak ]
  * static tests: add type hint for cli/assertions.py module (#1811)

  [ Alan Pope ]
  * README: remove rocketchat link (#1854)

  [ Daniel Lim Wee Soong ]
  * storeapi: add docstrings to _client (#1851)
  * tests: add snap not found tests (#1849)

  [ Chris Glass ]
  * cli: fixed typo in help (#1890)

  [ Jonathan Cave ]
  * tests: remove plainbox part from plugin tests (#1889)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Thu, 25 Jan 2018 21:40:43 +0000

snapcraft (2.38) xenial; urgency=medium

  [ Sergio Schvezov ]
  * ci: detect docker to auto setup core (#1801)
  * ci: correctly run from snap (#1803)
  * elf: strip the .note.go.buildid to make room for patching elf (#1798)
  * meta: create XDG_RUNTIME_DIR in wrappers (#1818)
  * tests: use a simpler test for bzr and python (#1821)
  * repo: handle invalid snaps (#1815)
  * tests: skip classic confined tests on armhf (#1822)
  * elf: search for DT_NEEDED in prime and the base (#1823)
  * pluginhandler: warn the inclusion of libraries from the host (#1829)

  [ Leo Arias ]
  * tests: update the snap name already registered for store tests (#1797)
  * tests: update the registered snap fake (#1799)
  * tests: collect the autopkgtest results and save them to a repo  (#1755)
  * meta: refactor into a package (#1804)
  * ci: don't fail if the snap transfer fails (#1808)

  [ Kyle Fazzari ]
  * metadata: add infrastructure for extracting metadata from parts (#1825)
  * extractors: support appstream metadata in parts (#1826)

  [ Michael Hudson-Doyle ]
  * lxd: suppress traceback when lxc launch / init fails (#1771)

  [ Daniel Lim Wee Soong ]
  * storeapi: breakdown code into modules (#1793)

  [ Tyler Hicks ]
  * lifecycle: use the -no-fragments mksquashfs option (#1805)

  [ Daniel Lim Wee Soong ]
  * ci: transfer generated snapcraft snap to transfer.sh (#1806)

  [ Christian Dywan ]
  * repo: error for packages with broken dependencies (#1788)
  * lxd: always install squashfuse (#1786)
  * tests: run test_cleanbuild in LXD on Travis (#1807)
  * grammar: support grammar-powered source (#1817)

  [ Ted Gould ]
  * lifecycle: do not include source tarballs from previous runs (#1795)

  [ Konrad Krawiec ]
  * static tests: add type hints to formatting_utils (#1809)
  * tests: add more unit tests for formatting_utils (#1813)

  [ Ivan Fonseca ]
  * static tests: type hinting for various modules (#1812)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 22 Dec 2017 16:55:56 +0000

snapcraft (2.37) xenial; urgency=medium

  [ Sergio Schvezov ]
  * cli: improve the help command (#1789)
  * many: set rpath for elf files for classic (#1781)

  [ Kyle Fazzari ]
  * tests: run codespell as part of static tests (#1783)
  * catkin-tools plugin: use stage-packages (#1779)
  * cli: add export-login command (#1780)

  [ Leo Arias ]
  * tests: move the ppa test trigger to lxd (#1758)
  * tests: python plugin integration tests moved to a separate suite (#1791)
  * tests: do not hit the network in python unit tests (#1792)
  * cli: add what, why, and how to fix to the common errors (#1640)
  * cli: include consistent commands to fix error conditions (#1790)

  [ Christian Dywan ]
  * tests: move refresh to unit folder (#1787)

  [ Daniel Lim Wee Soong ]
  * spelling: fixed spelling and added codespell support (#1770)
  * cli: more complete error when registering a reserved name (#1778)
  * static tests: add type hinting to file_utils.py (#1785)

  [ Sangbum Kim ]
  * cli: show helpful message for 'snapcraft list-keys' with no keys (#1784)

  [ Marcin Mikołajczak ]
  * tests: add --help command to the runtests.sh script (#1775)

  [ Matias Bordese ]
  * storeapi: support for pushing binary metadata (#1774)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 06 Dec 2017 15:22:05 +0000

snapcraft (2.36) xenial; urgency=medium

  [ Sergio Schvezov ]
  * static tests: upgrade to the newest flake8 (#1745)
  * static tests: enable type checking by use of mypy (#1747)
  * elf: conversion from libraries (#1744)
  * many: ensure classic confined binaries use the correct interpreter (#1759)
  * project: export the arch triplet into the environment (#1768)

  [ Kyle Fazzari ]
  * TESTING: adt on lxc requires squashfuse (#1741)
  * python plugin: use extracted pip (#1607)
  * ament plugin: new plugin (#1583) (LP: #1686850)
  * catkin plugin: support building entire workspace (#1743) (LP: #1721168)
  * store: refactor acquirement of attenuated macaroon (#1765)
  * snapcraft.yaml: use gcc to determine tuple (#1764) (LP: #1733922)

  [ Leo Arias ]
  * tests: reorganize unit and integration suites to make them easier to split
    for travis (#1638)
  * tests: share the cache for ros tests (#1725)
  * tests: run daily autopkgtest in travis (#1643)
  * tests: add a script to run autopkgtests from the ppa (#1749)
  * tests: add the missing quote on autopkgtest run (#1756)
  * tests: move the catkin integration tests to a separate suite (#1760)

  [ Chris Ratliff ]
  * catkin tools plugin: add catkin tools support (#1593)

  [ Paolo Pisati ]
  * kernel plugin: respect the kernel-with-firmware property (#1750)

  [ Colin Watson ]
  * nodejs plugin: pass proxy configuration to yarn (#1754)

  [ Christian Dywan ]
  * lxd: always remove tmp_dir after execution (#1742)
  * lxd: delete container only if parts is empty (#1762)

  [ Facundo Batista ]
  * store: push-metadata added (#1634)
  * tests: push metadata test needs to push the snap first (#1766)

  [ Daniel Watkins ]
  * python plugin: use finer grained file filters for pip (#1763)

  [ Michael Hudson-Doyle ]
  * lxd: let lxd choose the architecture (#1718)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 29 Nov 2017 04:20:26 +0000

snapcraft (2.35) xenial; urgency=medium

  [ Sergio Schvezov ]
  * pluginhandler: error out on scriptlet errors
  * meta: ensure main keys are ordered in snap.yaml
  * demos: remove the py?-project demos
  * store: switch to new endpoints
  * static: fix flake8 errors in setup.py
  * docker: add the environment variable to setup core (#1576)
  * cli: add the pack command (#1565)
  * store: handle revoked developers (#1554)
  * lifecycle: split into its own package (#1626)
  * libraries: exclude the full set of libc6 (#1632)
  * lxd: better surfacing of errors (#1647)
  * tests: fork skip into snaps_tests (#1652)
  * sources: use arfile to extract debs (#1729)
  * tests: dotnet only works on 16.04 (#1732)
  * unit tests: make the check for output less strict (#1738)
  * New upstream release (LP: #1729417)

  [ Kyle Fazzari ]
  * project_loader: aliases are deprecated
  * catkin plugin: don't assume catkin is in underlay
  * catkin plugin: only append PYTHONPATH if set
  * plugins: extract python finder functions
  * plugins: extract sitecustomize logic from python
  * dirs: set plugin, schema, and library dir for snap
  * plugins: extract pip from python plugin
  * catkin plugin: support rosdep pip dependencies (#1581)
  * plugins: add ros2 boostrapper (#1582)
  * travis: run snapd tests only if not cron (#1592)
  * snapcraft.yaml: don't re-use build dir (#1601)
  * schema: improve invalid app, hook, and part errors (#1615)
  * plugins: build-attributes is already in the state (#1620)
  * tests: skip catkin test on non-xenial (#1621)
  * tests: don't hit internet in ros2 units (#1619)
  * states: add scriptlets to build state (#1618)
  * schema: sync patterns with snapd (#1622)
  * snap: remove leaking LD_LIBRARY_PATH (#1635)
  * store: guide to account creation upon login (#1616)
  * repo: add elementary to deb distros (#1637)
  * internal: more gracefully determine host OS (#1636)
  * integration tests: skip shared ROS test on non-xenial (#1656)
  * internal: don't reuse variable in OsRelease (#1653)
  * integration tests: remove ruby version (#1727)
  * unit tests: reset log level after test (#1735)
  * autotools: cross-compile using --host instead of env (#1654)
  * catkin plugin: check for pip packages in part only (#1717)
  * ruby plugin: be smarter about arch-specific paths (#1730)
  * demo tests: bump catkin timeout by a lot (#1731)
  * many: account for python shebang args in rewrite

  [ Leo Arias ]
  * typo: replace ocurred with occurred
  * node plugin: record installed node packages in manifest
  * node plugin: record the yarn.lock file
  * tests: fix the TEST_STORE environment variable
  * tests: add integration tests for build snaps
  * recording: record the machine information collected by uname
  * tests: add unit tests for the ruby plugin
  * recording: record the packages installed in the  machine
  * tests: simplify a little the data in nodejs unit tests
  * ci: use travis conditionals
  * recording: record build-snaps installed during the pull
  * tests: replace the first batch of demo tests with snapd integration tests
  * rust plugin: record the Cargo.lock file
  * rust plugin: record the versions of rustup, rustc and cargo
  * tests: move ruby demo test to snapd integration suite (#1596)
  * recording: record the snaps installed on the machine (#1567)
  * style: use dedent for multiline strings (#1584)
  * tests: refactor the fake snapd to not hardcode values (#1569)
  * code style: remove the extra quotes in the dedent example (#1594)
  * recording: do not crash when snapd is not installed (#1598)
  * tests: fix the skip of snapd integration tests in armhf (#1595)
  * tests: fix the duplicate plainbox test scenarios (#1608)
  * tests: reenable the cleanbuild integration test (#1610)
  * tests: remove the duplicate nodejs integration tests (#1609)
  * tests: add /snap/bin to PATH in autopkgtests (#1603)
  * tests: add the slow tag for ros snapd integration test (#1602)
  * lxd: fix the unit test for the user id map (#1629)
  * tests: allow to select a suite when running autopkgtests (#1630)
  * tests: use the snapcraft snap for the integration tests (#1625)
  * tests: move the plainbox test to the integration suite (#1642)
  * lxd: fix the push in container builds (#1644)
  * tests: use the common base handler on the fake snapd server (#1724)
  * tests: split the integration autopkgtests (#1716)
  * tests: in autopkgtests, use a tempdir in home, not in the tmpfs (#1657)
  * recording: record information from the image in container builds  (#1633)
  * recording: pass the build info flag to the container (#1736)
  * tests: add the home plug to the plainbox snap (#1740)

  [ Christian Dywan ]
  * lxd: mount project folder via sshfs in case of a remote (#1302)
  * lxd: Only pass target arch if specified explicitly
  * repo: friendly, helpful error for unsupported distros (#1586)
  * lxd: instructions for /etc/sub{u,g}id after failed start (#1553)
  * lxd: pass SNAPCRAFT_PARTS_URI through into container (#1585)
  * lxd: use SUDO_UID for ID mapping (#1588)
  * lxd: don't inject local snaps on a different arch (#1577)
  * lxd: don't re-inject the same snaps (#1568)
  * lxd: split container classes into different files (#1627)
  * cli: update parts cache in the container (#1546)
  * lifecycle: clean after deleting container (#1587)
  * lxd: snapcraft refresh in containers (#1412)
  * lxd: distinguish argless clean from clean -s pull (#1655)
  * lxd: refresh remote container (#1739)
  * cli: pass remote from container_config to clean method (#1737)

  [ Mark Lee ]
  * project_loader: quote more environment variable values (#1578)

  [ James Beedy ]
  * ruby plugin: new plugin

  [ Aleix Pol ]
  * repo: return a proper value in DummyRepo
  * common: do not fail over on empty or faulty lines in os-release

  [ Jeff Dickey ]
  * ci: install git in Dockerfile for '{version: git}' usage (#1575)

  [ Michael Vogt ]
  * meta: add and adapter property for apps

  [ Chris Ratliff ]
  * catkin plugin: allow ROS_MASTER_URI change (#1572)

  [ Rakesh Singh ]
  * dotnet plugin: new plugin (#1574)

  [ Martin Wimpress ]
  * nodejs plugin: update default node engine to 6.11.4 (#1589)

  [ Colin Watson ]
  * options: fix core-dynamic-linker on ppc64el/s390x (#1600)

  [ Paolo Pisati ]
  * kbuild plugin: if the parts build dir already contains a .config file, return immediately (#1606)
  * cross compilation: enable cross compilation of i386 kernel on x86-64 … (#1613)

  [ Jonathan Cave ]
  * plainbox-provider plugin: init PROVIDERPATH (#1611)

  [ Carlo Lobrano ]
  * store: fix StoreReleaseError format for BAD REQUEST error (#1599)
  * sources: get svn revision with --show-item flag (#1648)
  * Removed dependency on VERSION_ID in os-release (#1623)

  [ Alfonso Sanchez Beato ]
  * kernel plugin: use latest stable core snap (#1624)

  [ Nathan Haines ]
  * ruby plugin: new stable release 2.4.2 (#1645)

  [ Marius Gripsgard ]
  * sources: workaround for ZipFile.extractall not preserving permissions (#1723)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 01 Nov 2017 19:41:33 +0000

snapcraft (2.34) xenial; urgency=medium

  [ Sergio Schvezov ]
  * core: cache FileBase entries when a checksum is provided (#1433)
  * cli: better error message for missing mksquashfs (#1481)
  * core: improve source caching logic (#1486)
  * ci: speedup the CLA check (#1503)
  * ci: disable the travis deploy stage for docs (#1510)
  * vcs: ignore .vscode project settings (#1517)
  * docs: add github processed templates (#1514)
  * tour: remove the tour assets (#1520)
  * project: introduce build-snaps (#1518)
  * tests: update the meson test to latest meson requirements (#1532)
  * jhbuild plugin: remove dependency on pkgconf (#1535)
  * nodejs plugin: add prefix --prefix to global pkg add (#1539)
  * New upstream release (LP: #1715399)

  [ Christian Dywan ]
  * lxd: clean with no parts should only delete (#1434)
  * lxd: inject snapcraft and core snaps into the container (#1364)
  * lxd: wait on lock files before running apt commands (#1435)
  * kbuild plugin: support Makefiles without an install target (#1432)
  * kbuild plugin: move over the cross-compiling logic from the kernel plugin (#1417)
  * lxd: path cannot have extra forward slashes (#1483)
  * lxd: always remove existing device for project folder (#1488)
  * lifecycle: outdated step should raise SnapcraftError (#1513)
  * errors: introduce ContainerError (#1505)
  * lxd: LXD not installed when using remote (#1516)
  * lxd: use a unique temporary folder (#1519)

  [ Leo Arias ]
  * recording: record the original snapcraft.yaml (#1407)
  * ci: skip the CLA check for pull requests from the bot (#1482)
  * docs: fix typo in plugin help (#1496)
  * python plugin: record manifest (#1487)
  * tests: use assertThat instead of assertEqual (#1501)
  * python plugin: always record constraints and requirements contents (#1521)
  * demos: update the name of the remote mqtt part (#1533)

  [ Kyle Fazzari ]
  * options: properly handle missing compiler prefix (#1425)
  * catkin plugin: include-roscore is a boolean (#1472)
  * catkin plugin: default to release build (#1470)
  * catkin plugin: rosinstall-files is a pull property (#1473)
  * catkin plugin: support passing args to cmake (#1471)
  * catkin plugin: extract rosdep into new package (#1392)
  * cli: add global exception handler
  * cli: stop handling exceptions in lifecycle
  * plugins: use exceptions based on SnapcraftError
  * cli: stop handling exceptions in parts
  * cli: stop handling exceptions in assertions
  * cli: stop handling exceptions in store
  * many: use exceptions based on SnapcraftError
  * rosdep: add support for multiple dependency types (#1479)
  * errors: use function for exit code (#1491)
  * cli: don't raise from excepthook (#1495)
  * repo: make errors based on SnapcraftError (#1499)
  * project loader: refactor into package (#1504)
  * grammar: move into project_loader (#1500)
  * many: simplify plugin loading (#1507)
  * schema: version should have a max length of 32 (#1508)
  * project_loader: process stage package grammar (#1509)
  * project_loader: support grammar on build-packages (#1511)

  [ Alex T Newman ]
  * windows: add cx_Freeze options targeting bin/snapcraft (#1478)

  [ Michael Vogt ]
  * meta: add `base` as a type and top level property (#1419)

  [ Adam Collard ]
  * ant plugin, gradle plugin: add support for authenticated proxies (#1490)

  [ fmanea ]
  * demos: remove the unnecessary wrapper from the java demo (#1494)

  [ Neal Gompa (ニール・ゴンパ) ]
  * repo: use os-release(5) to detect supported Linux distributions (#1527)

  [ Daniel Llewellyn ]
  * jhbuild plugin: new plugin (#1298)
  * jhbuild plugin: fix UnboundLocalError for chmod_path (#1534)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 06 Sep 2017 14:04:53 +0000

snapcraft (2.33) xenial; urgency=medium

  [ Sergio Schvezov ]
  * tests: reduce the amount of test code in test_meta (#1391)
  * meta: bash completion support (#1390)
  * tests: fix issues with python 3.6 (#1398)
  * cleanbuild: ensure we enter a shell on failures on --debug (#1404)
  * tests: do not break a systems `bzr whoami` (#1357)
  * snap: remove completer entry (#1409)
  * core: minimal cross OS support. (#1413)
  * core: a clean command should clean. (#1416)
  * nodejs plugin: copy the content of out of tree symlinks (#1418)
  * tests: adapt opencv's test expectations (#1426)
  * New upstream release (LP: #1707060)

  [ Zygmunt Krynicki ]
  * pluginhandler: don't clobber path on local import failure (#1361)

  [ Paolo Pisati ]
  * core: use the correct kernel arch for s390 (#1376)

  [ Tim Süberkrüb ]
  * core: support yaml merge tags (#1384)

  [ roxd ]
  * schema: blank version should not be allowed in snapcraft.yaml (#1379)

  [ Paolo Pisati ]
  * kernel plugin: add a default target per powerpc, ppc64el and s390x (#1377)

  [ Rex Tsai ]
  * tests: mock download for rustup in the x-compile test. (#1396)

  [ Evan Dandrea ]
  * file_utils: handle I/O errors in os.link (#1369)
  * python plugin: correct capitalisation for PyPI. (#1401)
  * python plugin: better explain dependency link processing (#1402)

  [ Leo Arias ]
  * python plugin: output json in pip list (#1393)
  * tests: allow to filter tests in docker (#1375)
  * tests: document the test suites in the snapcraft repo (#1394)
  * recording: rename the file to manifest.yaml (#1406)
  * pluginhandler: check for collisions only in existing files (#1405)
  * tests: run the tests in travis using LXD containers (#1415)
  * tests: build the snapcraft snap in travis tests (#1411)
  * ci: remove the old script to run with lxc (#1422)

  [ Christian Dywan ]
  * cli: proper parsing of hidden options (#1378)
  * core: clean the container on a full clean (#1372)
  * lxd: do not assume user ID of 1000 for raw.idmap (#1385)
  * autotools plugin: Enable cross-compilation support (#1383)
  * lxd: distinguish FileNotFoundError for when not installed (#1400)
  * waf plugin: enable cross-compilation support  (#1397)
  * ci: wait for apt/dpkg lock when setting lxd up (#1421)
  * lxd: stop setting `$HOME` in containers (#1408)
  * lxd: only remove container if one exists (#1403)

  [ Simon Davy ]
  * meta: add support for `reload-command` (#1373)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 27 Jul 2017 20:19:01 +0000

snapcraft (2.32) xenial; urgency=medium

  [ Michał Sawicz ]
  * autotools plugin: don't force uniqueness on configflags (#1337)

  [ filibtester ]
  * integrations: use the snapcore/snapcraft docker image in travis (#1331)

  [ Jonathan Cave ]
  * sources: allow source-type to specify local (#1352)

  [ Christian Dywan ]
  * tests: run unit tests on Travis with mock armhf (#1316)
  * rust plugin: add support for cross-compilation (#1350)

  [ Gustavo Silva ]
  * deltas: improved message returned when delta is too big (#1345)

  [ Adam Collard ]
  * cli: add --version command (#1366)

  [ Sergio Schvezov ]
  * cli: provide a whoami command (#1332)

  [ Kyle Fazzari ]
  * cli: stop leaking green text (#1360)
  * catkin plugin: add support for ROS Lunar (#1367)

  [ Leo Arias ]
  * tests: use pyramid as a router for the fake servers (#1363)
  * tests: set up the spread execution in linode (#1374)
  * integrations: add the snapcraft Dockerfile (#1370)
  * tests: refactor the travis jobs using stages (#1318)

 -- Kyle Fazzari <kyle@canonical.com>  Fri, 23 Jun 2017 10:00:19 -0700

snapcraft (2.31) xenial; urgency=medium

  [ Sergio Schvezov ]
  * storeapi: resume snap downloads (#1330)
  * cli: remove double congrats messaging (#1351)
  * cli: do not duplicate errors (#1347)
  * cli: default options for the implicit snap command (#1353)
  * go plugin: filter the main packages when go-packages are defined (#1355)
  * New upstream release 2.31 (LP: #1692102)

  [ Colin Watson ]
  * store: send X-Ubuntu-Series, not X-Ubuntu-Release (#1320)

  [ Kyle Fazzari ]
  * docs: improve onboarding experience (#1336)
  * catkin plugin: add support for rosinstall files (#1314)
  * common: find data files via sys.prefix (#1356)

  [ Tim Süberkrüb ]
  * qmake plugin: set default qt version (#1328)
  * tour: use https for source urls (#1329)

  [ Leo Arias ]
  * tests: small updates for manual kernel tests (#1327)
  * tests: use the fake apt cache in deb unit tests (#1334)
  * state: save all the build packages as global (#1340)

  [ Michał Sawicz ]
  * sources: don't use --remote for updating git submodules (#1344)

  [ Christian Dywan ]
  * go plugin: add support for cross-compilation (#1338)
  * go plugin: cross compile with CGo (#1343)
  * plugins: clarify wording of cross-compilation unsupported error (#1349)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 07 Jun 2017 22:51:40 -0300

snapcraft (2.30) xenial; urgency=medium

  [ Sergio Schvezov ]
  * cli: new UI and internal refactor (#1307)
  * cli: proper error for failed snap command (#1325)
  * Revert "tests: remove the reusable parts tour test (#1321)" (#1324)
  * store: collaboration UI for snaps (#1288)
  * New upstream release 2.30 (LP: #1692102)

  [ Leo Arias ]
  * tests: initial setup for the snapcraft snap tests with spread (#1272)
  * misc: rename the snap dir variable to prime dir (#1279)
  * recording: save the snapcraft.yaml in the resulting snap (#1278)
  * tests: minor cleanups on the spread tests (#1287)
  * tests: refactor tests with build and stage packages (#1290)
  * parts: remove the deprecated snap keyword from the internal representation (#1282)
  * tests: fix the recording tests to work in multiple architectures (#1292)
  * recording: record stage packages installed in the snap (#1293)
  * recording: record build packages installed in the snap (#1295)
  * tests: increase the staging registration limit to 100 (#1271)
  * tests: use C.UTF-8 for the docker locale (#1310)
  * state: save the dependencies of build packages (#1299)
  * recording: record global build-packages installed on the host (#1306)
  * state: fix the name of the source details (#1312)
  * meta: read and write the desktop file with utf-8 encoding (#1309)
  * cleanbuild: set the container language to C.UTF-8 (#1304)
  * tests: remove the reusable parts tour test (#1321)
  * recording: save the details of the source pulled (#1317)
  * state: ignore the 'any' architecture in the build packages apt cache (#1322)
  * state: search for the build package that provides a virtual package (#1323)

  [ Facundo Batista ]
  * store: support for channel branches in responses for release, close, and status (#1280)

  [ Christian Dywan ]
  * lxd: pass through commands into the container (#1263)
  * lxd: setup image and target arch for cross-compilation (#1286)
  * lxd: support the architectures field from older LXDs (#1305)
  * lxd: mock platform in the FakeLXD fixture (#1315)

  [ Paolo Pisati ]
  * kernel plugin: learn how to assemble the ubuntu config using kconfigflavour (#1285)
  * kernel plugin: slightly improve the messaging of check_config() (#1303)
  * kernel plugin: do not warn about DMIID in config check (#1319)
  * kernel_plugin: use CROSS_COMPILE to override the default toolchain (#1242)
  * cli: allow uts machine arch as a valid --target-arch option (#1204)
  * kernel plugin: verify kernel config is correct (#1223)

  [ Tim Süberkrüb ]
  * sources: add support for 7-zip files (#1168)

  [ JulianLiu ]
  * meson plugin: add a plugin for meson build system (#1294)

  [ roxd ]
  * rust plugin: use of source-subdir without failing on pull (#1296)

  [ edvega ]
  * sources: validate unknown source-type in yaml (#1297)

  [ Ricardo N Feliciano ]
  * docs: add missing VCS dependencies to HACKING.md (#1311)
  * cli: allow capital Y to accept the dev agreement (#1308)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 19 May 2017 17:39:34 -0300

snapcraft (2.29) xenial; urgency=medium

  [ Sergio Schvezov ]
  * store: better retry strategy for GETs. (#1212)
  * docs: remove docs and link to snappy-docs. (#1227)
  * nodejs plugin: switch to the newer LTS. (#1228)
  * pluginhandler: exclude `/snap/` from libraries. (#1231)
  * nodejs plugin: switch to the newer LTS. (#1228) (#1232)
  * core: find the correct libraries as a snap. (#1234)
  * snap: use the gpg tarball instead of git://. (#1236)
  * docs: update contribution guide. (#1233)
  * repo: enable elementary. (#1237)
  * cli: improve push output. (#1240)
  * ci: split plugin integration tests out. (#1252)
  * nodejs plugin: add support for yarn. (#1245)
  * ci: fix travis ordering for locales generation. (#1254)
  * core: support running from other operating systems. (#1257)
  * meta: version from git support. (#1260)
  * shell_utils: code cleanup (#1265)
  * meta: override the version with version-script. (#1267)
  * tests: fix package version pinning tests. (#1269)
  * New upstream release 2.29 (LP: #1684965)

  [ Joe Talbott ]
  * tests: Fix staging store test for Tracks. (#1225)
  * pluginhandler: factor out state bits into the state package. (#1221)
  * repo: track per-part build-packages. (#1193)
  * sources: add VCS asset tracking (#1229)

  [ Facundo Batista ]
  * store: better check of the error code in StatusTracker. (#1226)

  [ Leo Arias ]
  * tests: add arm64 to the nightly tests (#1210)
  * tests: update name registration window limit test. (#1224)
  * ci: update the location of the upstream retry autopkgtests script. (#1243)
  * tests: use launchpad as the source of the compressed test snap (#1259)

  [ Jumpei Ogawa ]
  * repo: enable KDE Neon. (#1244)

  [ Kyle Fazzari ]
  * catkin plugin: create completely valid environment (#1239)

  [ edvega ]
  * help: replace dashes with underscores when printing plugins help (#1241)
  * cli: remove empty lines in the unclean parts message (#1251)

  [ Celso Providelo ]
  * store: new registration errors and test update. (#1247)

  [ Christian Dywan ]
  * lxd: refactor Cleanbuilder into Containerbuild and add Project. (#1230)

  [ Parameswaran Sivatharman ]
  * store: plumbing for collaboration support. (#1246)

  [ Colin Watson ]
  * ant plugin: honour proxy configuration (#1256)

  [ Chris MacNaughton ]
  * rust plugin: update plugin to set RUSTFLAGS (#1255)

  [ Andy Li ]
  * docs: fixed links to doc. (#1250)
  * tests: report coverage only in unit tests. (#1266)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 20 Apr 2017 13:57:08 -0300

snapcraft (2.28) xenial; urgency=medium

  [ Sergio Schvezov ]
  * python plugin: use stage headers if applicable. (#1156)
  * docs: use correct target to generate docs. (#1159)
  * packaging: snapcraft as a snap (#1158)
  * tour: make it work when its a snap. (#1217)
  * cleanbuild: don't copy cache into container. (#1216)
  * kernel plugin: fix modprobe output parsing. (#1208)
  * kernel plugin: use default per arch targets. (#1209)
  * python plugin: support pbr/setup.cfg projects. (#1202)
  * cleanbuild: packaging independent detection. (#1199)
  * tests: remove repo.Ubuntu patch for plugins. (#1194)
  * store: enable delta uploads by default. (#1196)
  * repo: refactor into a package. (#1192)
  * core: resolve ld link first. (#1189)
  * store: enable retries for store calls. (#1184)
  * New upstream release 2.28 (LP: #1675391)

  [ Joe Talbott ]
  * store: set User-Agent header in store requests. (#1188)
  * store: Add track support to commands. (#1161)
  * state: asset tracking - store versions of stage-packages. (#1142)
  * store: remove 'Series' from channel map output (#1151)
  * repo: support versioned stage-packages. (#1157)
  * parser: use the project loader code to find the origin's snapcraft.yaml (#1141)
  * cli: rename `history` to 'list-revisions' with `revisions` alias. (#1160)
  * repo: add version support for build-packages (#1185)
  * project: use a more likely to be found global build-package (#1218)

  [ Paolo Pisati ]
  * demos:  add the minimal config changes to boot a dragonboard410c (#1147)
  * kernel plugin: if no dtb target is set when the arch is arm.* build them all. (#1148)
  * kernel plugin: rework MAKEFLAGS from the environment (#1150)

  [ Kyle Fazzari ]
  * contribution guide: add commit message template (#1153)
  * demos: make ROS demos support exiting after success. (#1201)
  * catkin plugin: support building with an underlay. (#1140)
  * demos: add ROS content sharing demo. (#1186)
  * repo: fixup with python, not sed (#1181)
  * repo: ignore symlinks to libc. (#1174)
  * sources: update documentation for source-subdir (#1177)

  [ Olivier Tilloy ]
  * project: expose parallel_build_count to scriptlets. (#1154)

  [ Leo Arias ]
  * docs: build and push the API docs to github pages. (#1126)
  * tests: pass the autopkgtest secret to the container (#1162)
  * tests: update the ftp source for integration test (#1169)
  * ci: install wget in the container that triggers the beta tests. (#1167)
  * demos: add a message to exit the mosquitto subscriber. (#1173)
  * demos: add the mount-observe plug to be able to run godd. (#1172)
  * tests: support bzr branches for external tests. (#1128)
  * docs: update the directory where the API pages are generated (#1163)
  * demos: remove the tomcat demo snap. (#1176)
  * tests: make the kernel unit tests architecture independent. (#1178)
  * tests: support snap directory in external tests (#1180)
  * tests: run the master tests against the staging server (#1164)
  * tests: take into account the new current link. (#1187)
  * ci: run the CLA check in a docker container. (#1191)
  * tests: add manual tests for the kernel snaps (#1198)
  * ci: allow to run individual autopkgtest suites (#1200)
  * tests: expect failures for the tests that can't be run in arm64. (#1145)

  [ Jonathan Cave ]
  * plainbox-provider plugin: run validate (#1095)

  [ Michael Hudson-Doyle ]
  * core: fix symlink resolution in get_core_dynamic_linker. (#1170)

  [ pachulo ]
  * sources: add optional "source-checksum" property (#980)

  [ Colin Watson ]
  * godeps plugin: add git to build-packages. (#1179)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Thu, 23 Mar 2017 16:11:14 -0300

snapcraft (2.27.1) xenial; urgency=medium

  [ Kyle Fazzari ]
  * catkin plugin: produce build-ready staging area. (#1130)

  [ Leo Arias ]
  * ci: trigger beta tests on travis every day. (#1144)

  [ Joe Talbott ]
  * store: switch Track and Arch in the channel map display. (#1143)

  [ Sergio Schvezov ]
  * Revert "repo: remove symlinks to libc. (#1100)" (#1146)
  * New upstream release 2.27.1 (LP: #1665759)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 17 Feb 2017 19:58:48 +0000

snapcraft (2.27) xenial; urgency=medium

  [ Sergio Schvezov ]
  * core: switch to using rpath for classic confinement. (#1094)
  * python plugin: do the right thing with classic. (#1093)
  * meta: support for the environment keyword. (#1103)
  * meta: correct the deprecation for `setup/gui` use. (#1107)
  * tests: avoid snapping progress to leak into report. (#1114)
  * core: setup core to support classic confinement. (#1112)
  * cleanbuild: allow talking to a remote. (#1121)
  * plainbox-provider plugin: filter out sitecustomize. (#1139)
  * New upstream release 2.27 (LP: #1663229)

  [ Kyle Fazzari ]
  * schema,copy plugin: better errors when item has no value. (#1096)
  * cleanbuild: include snap directory in tarball. (#1102)
  * repo: remove symlinks to libc. (#1100)
  * catkin plugin: don't pass args to setup.sh. (#1099)
  * pluginhandler: support more complex stage-packages. (#1059)
  * repo: cache stage packages for faster future use. (#1122)

  [ Leo Arias ]
  * tests: do not rely on project_dir. (#1078)
  * lifecycle: print the command needed to clean the dirty part (#1097)
  * tests: check the CLA on all the commits. (#1106)
  * tests: rename the integration test snaps. (#1105)
  * misc: consistently use a dash for copyright years. (#1101)
  * tests: rename the waf test snap. (#1111)
  * ci: fix the env vars passed to the docker container in travis. (#1125)
  * python plugin: exclude the RECORD files. (#1138)

  [ Marco Trevisan ]
  * meta: properly get the icon extension from splitted name. (#1092)
  * tests: fix or ignore PEP8 static errors. (#1085)

  [ John Lenton ]
  * ux: print the version on startup when running with --debug (#1086)

  [ Dan Chapman ]
  * qbs plugin: add plugin support for the Qt Build Suite (qbs). (#1079)

  [ Bayard Randel ]
  * store: implement delta uploads in push. (#940)

  [ Joe Talbott ]
  * store: expose store errors to the cli. (#1110)
  * Make git pulls less error prone due to history changes. (#1052)
  * store: add support for tracks in channels. (#1108)

  [ MZN Lab ]
  * meta: allow `post-stop-command` for an app entry in `apps`. (#1109)

  [ Loïc Minier ]
  * kernel plugin: fix kernel snap layout (#1115)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 09 Feb 2017 12:55:44 +0000

snapcraft (2.26) xenial; urgency=medium

  [ Sergio Schvezov ]
  * misc: remove snapd "submodule". (#1051)
  * meta: ensure snap.yaml is desktop free. (#1053)
  * godeps plugin: support for go-packages. (#1057)
  * store: proper error colors for login failures. (#1055)
  * project: snapcraft.yaml in a snap directory. (#1073)
  * project: new plugin directory location. (#1082)
  * project: support for gui in snap. (#1083)
  * New upstream release 2.26 (LP: #1656291)

  [ Shawn Wang ]
  * store: fix sso_host for dev sso. (#1031)

  [ Matthew Aguirre ]
  * gradle plugin: update gradle plugin to support both gradle and
    gradlew. (#1024)

  [ Leo Arias ]
  * ci: use python2 to check the CLA (#1044)
  * ci: remove the old tarmac file. (#1072)
  * ui: add a space after the developer agreement prompt (#1065)
  * tests: use a temporary directory for snaps tests. (#1068)
  * tests: increase the timeout for the ros snap test, decrease the rest (#1067)
  * tests: add ubuntu user to sudoers on every adt platform. (#1091)

  [ Kyle Fazzari ]
  * schema: print allowed length for length failures. (#1056)
  * tour: add g++ as dependency to 01-reusable-part. (#1062)
  * file_utils: copy symlinks to directories as symlinks. (#1063)
  * repo: add multiarch support for stage packages. (#1050)
  * catkin plugin: don't stage compilers. (#1070)
  * sources: preserve symlinks to directories. (#1081)

  [ Bjorn Tillenius ]
  * python plugin: download all python packages using one command. (#1071)

  [ Olivier Tilloy ]
  * meta: proper Exec key in desktop files for apps named like their parent
    package. (#1061)
  * meta: rename desktop files to match the app names. (#1074)

  [ Marco Trevisan ]
  * options: use actual userspace architecture for building in 32bit (#1060)
  * autotools plugin: extend Make plugin instead of repeating code (#1076)

  [ Daniel Watkins ]
  * tests: don't wait for lxd networking in cleanbuild test. (#1087)

  [ Joe Talbott ]
  * parser: handle parser and network errors. (#1045)
  * parser: use an XDG directory for sources. (#1032)
  * parser: return an error code if an origin is missing a part. (#1058)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 27 Jan 2017 20:38:10 +0000

snapcraft (2.25) xenial; urgency=medium

  [ Joe Talbott ]
  * parser: better message for missing snapcraft.yaml in origins. (#985)
  * parser: clean up help. (#986)
  * parser: improve output. (#984)
  * pluginhandler: ensure staged files are included in the prime step. (#920)
  * tests: add aliases integration test. (#1004)

  [ Matthew Aguirre ]
  * Update ant plugin to use get_build_properties(). (#991)
  * Updated autotools plugin to use get_build_properties(). (#999)
  * godeps plugin: update godeps plugin to use get_pull_properties(). (#1000)
  * catkin plugin: update catkin plugin to use get_pull_properties(). (#1001)
  * make plugin: update make plugin to use get_build_properties(). (#992)
  * nodejs plugin: update nodejs plugin to use get_build_properties(). (#996)
  * go plugin: update go plugin to use get_build_properties(). (#997)
  * python plugin: update python plugin to support get_pull_properties(). (#1002)
  * qmake plugin: update qmake to use get_build_properties() and
    get_pull_properties(). (#993)
  * gulp plugins: update gulp plugin to use get_build_properties(). and
    get_pull_properties(). (#998)
  * kernel plugin: update kernel plugin to use get_build_properties(). (#995)

  [ Kyle Fazzari ]
  * copy plugin: update copy plugin to use get_build_properties(). (#1022)
  * tests: add alias integration test. (#1021)
  * sources: support symlinks in deb sources. (#941)
  * schema: replace `snap` filter with `prime` filter. (#1006)
  * tests: reorganize plugin tests into subdirectory. (#1014)
  * tests: reorganize command tests into subdirectory. (#1015)
  * tests: reorganize state tests into subdirectory. (#1019)
  * pluginhandler: add support for disabling system library migration. (#989)
  * docs: document the `notify` daemon type. (#1041)
  * docs: describe hooks. (#1042)
  * lifecycle: clean without parsing if possible. (#1007)
  * core: add support for hooks. (#1026)

  [ Marco Trevisan ]
  * travis.yaml: use docker exec to split build phases. (#1012)

  [ Leo Arias ]
  * tests: fix integration tests in armhf. (#971)
  * ci: add a checklist in the pull request template. (#972)
  * ci: check the license agreement on Travis. (#973)
  * tests: fix snaps tests in armhf. (#990)
  * rust plugin: add conditional compilation. (#1029)
  * tests: use rust 1.12 to test the rust-revision in armhf. (#1040)
  * rust plugin: use the part source path. (#1035)
  * misc: delete bzr ignore. (#1038)

  [ Jonathon Love ]
  * nodejs plugin: fix the plugin’s dependency installation. (#1023)

  [ Olivier Tilloy ]
  * meta: add 'desktop' entry for apps. (#1010)

  [ Sergio Schvezov ]
  * project loader: better error message for classic. (#1025)
  * tests: fix broken unit test in master. (#1027)
  * parts: better error message when defining parts. (#1036)
  * schema: support the notify daemon type. (#1037)
  * godeps plugin: work when GOBIN is set. (#1046)
  * meta: support core libraries. (#1047)
  * docs: update deprecation links. (#1048)
  * rust plugin: respect fetch parameters. (#1034)
  * New upstream release 2.25 (LP: #1656291)

  [ Bayard Randel ]
  * store: implement push pre-check. (#1009)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 13 Jan 2017 12:07:10 +0000

snapcraft (2.24) xenial; urgency=medium

  [ Sergio Schvezov ]
  * meta: support classic confinement (#946)
  * project: support building classic snaps (#949)
  * pluginhandler: convert to package (#954)
  * tests: idempotent store installs. (#956)
  * demos: do not force arch for the tomcat demo (#976)
  * pluginhandler: install scriptlet support (#960)
  * pluginhandler: prepare scriptlet support (#987)
  * pluginhandler: build scriptlet support (#988)
  * New upstream release 2.24 (LP: #1650632)

  [ Leo Arias ]
  * tests: fix unittests for armhf (#945)
  * tests: Use a more stable ftp source (#950)
  * tests: use testtools as the base of all unit tests (#948)

  [ Marco Trevisan ]
  * parser: add support for origin-{branch,commit,tag} (#931)

  [ Chris MacNaughton ]
  * rust plugin: fetch dependencies in pull (#908)

  [ Larry Price ]
  * file_utils: catch PermissionError when attempting to replace contents in
    a readonly file (#892)

  [ Albert Astals Cid ]
  * sources: add source value to error message (#958)
  * cli: make plugins be an alias of list-plugins (#959)

  [ Joe Talbott ]
  * meta: add `aliases` support to `apps` (#947)
  * parser: Use the same version method as 'snapcraft' (#982)

  [ Kyle Fazzari ]
  * sources: convert to package. (#955)
  * sources: refactor base sources into module. (#957)
  * sources: refactor bazaar source into module. (#962)
  * sources: refactor deb source into module. (#963)
  * sources: refactor local source into module. (#961)
  * sources: refactor git source into module. (#964)
  * sources: refactor mercurial source into module. (#965)
  * sources: refactor rpm source into module. (#966)
  * sources: refactor script source into module. (#967)
  * sources: refactor subversion source into module. (#968)
  * sources: refactor tar source into module. (#969)
  * sources: refactor zip source into module. (#970)
  * pluginhandler: prefer in-snap libraries to system libraries. (#977)

  [ Celso Providelo ]
  * cli: implementing '[list-]registered' command (#890)
  * store: support download and validate on branded stores. (#981)

  [ Matthew Aguirre ]
  * maven plugin: implement get_build_properties() (#974)
  * gradle plugin: implement get_build_properties() (#975)
  * cmake plugin: implement get_build_properties() (#978)
  * waf plugin: implement get_build_properties() (#979)
  * scons plugin: implement get_build_properties() (#983)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 16 Dec 2016 17:10:40 +0000

snapcraft (2.23) xenial; urgency=medium

  [ Sergio Schvezov ]
  * indicators: work with Content-Encoding set (#896)
  * store: download without login (#903)
  * readme: rocket instead of irc (#907)
  * indicators: support TERM=dumb (#906)
  * Update HACKING.md (#910)
  * help: update stage-packages and build-packages (#913)
  * meta: icon is now dedeprecated (#914)
  * cache: cleanup logic to pass project name (#915)
  * sources: missing command instead of package (#916)
  * docs: update GUI related integrations (#919)
  * pluginhandler: source management moved to the core (#923)
  * store: return specific error when already owned (#942)
  * nodejs plugin: install during pull to support npm run (#936)
  * New upstream release 2.22.1 (LP: #1646993)

  [ Parameswaran Sivatharman ]
  * store: login with option to agree to terms of service and human friendly errors (#866)

  [ Bayard Randel ]
  * cache: snap revision caching on 'push'. (#889)
  * deltas: migrate from xdelta to xdelta3. (#934)

  [ Leo Arias ]
  * tools: new script to retry autopktests (#893)
  * tests: remove the outdated all snaps image set up for snaps tests (#911)
  * plugin: add a gradle demo and test (#912)
  * tests: unset the proxies for gradle unit testing (#922)
  * tests: use the connectivity check page to test the downloader snap (#925)
  * tests: add a script to build external snaps (#927)
  * tests: replace coveralls with codecov (#939)
  * tests: replace subTests with TestScenarios (#943)

  [ Marco Trevisan ]
  * repo: apt-mark new build-packages as automatically installed (#891)
  * sources: add ftp support (#900)
  * parser: support remote dependencies (#930)
  * sources: add current dir to ignore list if we're iterating on parent (#926)

  [ Kelvin Li ]
  * cache: enable prune for snap cache. (#905)
  * deltas: initial implementation (#918)

  [ Celso Providelo ]
  * cli: basic 'enable-ci' implementation. (#901)
  * cli: implement `enable-ci travis --refresh` command (#932)

  [ John Lenton ]
  * cli: _filedir takes an extension, not a glob (#933)

  [ Larry Price ]
  * cmake plugin: utilize MakePlugin build logic within CMakePlugin (#935)

  [ Kyle Fazzari ]
  * pluginhandler: incorporate all part properties into state tracking. (#937)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 02 Dec 2016 23:44:19 +0000

snapcraft (2.22.1) xenial; urgency=medium

  * Revert "Allow for architecture-specific packages (#876)" (#898)
  * New upstream release 2.22.1 (LP: #1640585)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 11 Nov 2016 19:28:41 +0000

snapcraft (2.22) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Support for gadget snaps (#886)
  * Remove license concepts (#880)
  * store: send snapcraft version in a header (#894)


  [ Bayard Randel ]
  * repo: cache apt related files (config, packages) in 'apt' parent
    directory. (#887)

  [ Kyle Fazzari ]
  * catkin plugin: python nodes require gcc/g++ too. (#881)

  [ Neal Gompa ]
  * sources: Add RPM source (#870)

  [ Stéphane Graber ]
  * Always respect go-buildtags (#888)
  * Allow for architecture-specific packages (#876)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 09 Nov 2016 19:50:29 +0000

snapcraft (2.21) xenial; urgency=medium

  [ Sergio Schvezov ]
  * pluginhandler: parametrize call args (#868)
  * python plugin: wheel and install in the proper order (#883)
  * New upstream release 2.21 (LP: #1638513)

  [ Stéphane Graber ]
  * sources: Add new `source-commit` field for VCS sources (#877)

  [ Kyle Fazzari ]
  * python plugin: remove pip packages when cleaning pull. (#882)

  [ Chris Wayne ]
  * Add some further bash-completion (#872)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 02 Nov 2016 10:11:37 +0000

snapcraft (2.20) xenial; urgency=medium

  [ Colin Watson ]
  * Add `snapcraft create-key` (#824)

  [ Kyle Fazzari ]
  * catkin plugin: add `rosdistro` to help documentation. (#850)
  * catkin plugin: nicely handle an invalid rosdistro. (#851)

  [ Christian Ehrhardt ]
  * Add Waf plugin (#716)

  [ Maximiliano Bertacchini ]
  * Add `snapcraft history`. (#844)
  * Add `snapcraft status`. (#845)

  [ Daniel Holbach ]
  * Document the `grade` option. (#857)

  [ Celso Providelo ]
  * Implementing channel-closing. (#847)
  * `sign-build` to prompt users for key selection (#848)
  * history/status alignment fixes. (#863)

  [ Leo Arias ]
  * In the downloader demo test, use https (#860)

  [ Stéphane Graber ]
  * Add powerpc (32bit big-endian) support (#862)

  [ Roberto Alsina ]
  * gated and validate commands message improvements (#849)
  * Handle 'broken' validations that don't match refresh-control (#867)

  [ Domas Monkus ]
  * go plugin: Set GOBIN in the build environment. (#859)

  [ Robert Ancell ]
  * Update documentation links to developer.ubuntu.com that now redirect to
    snapcraft.io (#864)

  [ Daniel Holbach ]
  * Bring docs/upload-your-snap.md in line with http://snapcraft.io/docs/… (#869)

  [ Sergio Schvezov ]
  * Simplify the parser tests. (#852)
  * Simplify the handler from uri tests. (#853)
  * tools: script to talk to the staging servers (#855)
  * Decouple state handling from plugin options. (#854)
  * python plugin: allow usage of bzr (#858)
  * python plugin: install from wheel for local setup.py (#861)
  * New upstream release 2.20 (LP: #1636924)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 26 Oct 2016 13:58:31 -0300

snapcraft (2.19) xenial; urgency=medium

  [ Sergio Schvezov ]
  * python plugin: only replace proper shebangs. (#830)
  * yaml xpath for errors. (#828)
  * sources: fix type when calling with depth (#829)
  * kernel plugin: allow collecting the same mod deps (#837)
  * pluginhandler: take the file encoding into account. (#838)
  * python plugin: only download in pull and build in build. (#832)
  * New upstream release 2.19 (LP: #1629472)

  [ Christopher James Halse Rogers ]
  * nodejs plugin: Add mechanism to run `npm run` commands. (#810)

  [ Daniel Holbach ]
  * Add links to IRC, mailing list and social media (#833)

  [ Celso Providelo ]
  * 'sign-build' implementation. (#831)

  [ Kyle Fazzari ]
  * catkin plugin: build with in-snap python. (#840)
  * catkin plugin: Support ROS Kinetic. (#842)

  [ Roberto Alsina ]
  * 'snapcraft validate' and 'snapcraft gated' implementation (#813)

  [ Joe Talbott ]
  * Replace SNAPCRAFT_PART_INSTALL in the part attributes. (#841)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 30 Sep 2016 17:56:06 -0400

snapcraft (2.18.1) xenial; urgency=medium

  [ Carlo Lobrano ]
  * snapcraft search: return ordered results (#820)

  [ Sam Yaple ]
  * python plugin: Don't filter .pth files (#822)

  [ Sergio Schvezov ]
  * Make copies of remote parts to avoid ordering issues (#821)
  * plainbox-provider plugin: rewrite python shebangs (#823)
  * New upstream release 2.18.1 (LP: #1626224)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 23 Sep 2016 13:50:26 -0300

snapcraft (2.18) xenial; urgency=medium

  [ Sam Yaple ]
  * Check if option is url for pip (#785)
  * Unify python plugin test (#793)

  [ Sergio Schvezov ]
  * Improve lifecycle execution of steps (#794)
  * Load project information in one location (#799)
  * Replace uses of copy with dump (#798)
  * Report the proper line number on bad yaml errors (#816)
  * Support deb files as sources (#811)
  * lxd: use built-in image streams. (#817)
  * Make source-depth a parameter and opt-in (#814)
  * New upstream release 2.18 (LP: #1626224)

  [ Kyle Fazzari ]
  * Only discover dependencies once per file. (#796)

  [ Leo Arias ]
  * In the busybox test, use the last installed data dir (#801)
  * Add the TEST_STORE environment variable to the travis script (#802)

  [ Evan ]
  * autotools plugin: Do not run the bootstrap directory as a script. (#803)

  [ Jonathon Love ]
  * nodejs plugin: fix to install of dev-deps in package.json (#800)

  [ Colin Watson ]
  * Fix parts integration tests (#807)
  * Remove snapcraft.storeapi.common (#806)
  * Adjust login to conform to UX specification (#804)
  * Refresh discharge macaroon if necessary (#805)

  [ Joe Talbott ]
  * Don't litter /tmp with test artifacts. (#808)
  * Handle missing source type packages in the parser (#742)

  [ James Lucas ]
  * make plugin: allow copying artifact dirs (#809)

  [ Enrique Hernández Bello ]
  * Enable crosscompilation for dump and copy plugins (#791)

  [ Celso Providelo ]
  * Replacing deprecated API for searching snaps. (#815)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 21 Sep 2016 15:55:08 +0000

snapcraft (2.17) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Python plugin improvements (#771)
  * Organize without removing files on target (#780)
  * Support globbing for organize (#784)
  * New upstream release 2.17 (LP: #1621985)

  [ Leo Arias ]
  * Use --force-dangerous when testing the installation of snaps (#778)
  * Updated the contents of the snapcraft init template (#776)
  * Add an integration test for autotools (#783)

  [ Colin Watson ]
  * Implement basic form of `snapcraft register-key` (#726)
  * Add `snapcraft list-keys` (#786)

  [ Joe Talbott ]
  * parser - Handle project name and version variables (#773)

  [ Sam Yaple ]
  * python plugin: do not compile pyc files when installing with pip (#779)

  [ Alexandre Abreu ]
  * gulp plugin: fix the npm install prefix (#782)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 09 Sep 2016 19:25:24 +0000

snapcraft (2.16) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Allow registering private packages (#749)
  * Allow debugging cleanbuild runs. (#740)
  * storeapi: remove dependency on the 'success' attr (#750)
  * Export important project variables (#757)
  * Use a recursive iglob for filesets (#765)
  * HACKING.md: list dependencies to install with pip (#770)
  * Minor fixes for typos in --help (#769)
  * Better file conflict message (#766)
  * Update kernel meta to the latest spec. (#768)
  * New upstream release 2.16 (LP: #1619776)

  [ Joe Talbott ]
  * parser - Remove namespacing and subparts. (#705)
  * Use block style for multiline YAML values. (#756)

  [ Leo Arias ]
  * Enable the static checks for the integration tests (#755)
  * Add the arm64 architecture to the nodejs plugin (#753)
  * go plugins: remove the useless call to os.path.join (#759)
  * Removed statements not used by the tests (#760)
  * Make a copy of the snapcraft files common list before using it. (#767)

  [ Caio Begotti ]
  * Implementing 'grade' support in snapcraft.yaml (#764)

  [ Scott Moser ]
  * node plugin: run build in pull phase to download dependencies. (#762)

  [ Paolo Pisati ]
  * kernel plugin: vmlinuz -> kernel.img hard link (#748)

  [ Loïc Minier ]
  * Include /sbin and usr/sbin in wrappers (#763)

  [ Evan Dandrea ]
  * ant plugin: add properties and build target options (#752)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 02 Sep 2016 19:32:40 +0000

snapcraft (2.15.1) xenial; urgency=medium

  [ Robert Ancell ]
  * Remove .la files generated by autotools (#670)

  [ Joe Talbott ]
  * Only show chown warnings with --debug. (#739)
  * Actually return a non-zero error code on errors. (#745)

  [ Sergio Schvezov ]
  * make plugin: fix artifact collecting (#743)
  * testing: only run the ros demo on xenial (#744)
  * New upstream release 2.15.1 (LP: #1614322)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 19 Aug 2016 13:43:42 -0300

snapcraft (2.15) xenial; urgency=medium

  [ Harald Sitter ]
  * add multiple generator script options to autotools (#679)

  [ Sam Yaple ]
  * python2 plugin: Add support for constraints (#657)

  [ Blake Rouse ]
  * Add option disable-parallel for all plugins. (#698)
  * python3 plugin: allow setup.py to work on some projects. (#718)

  [ Christian Ehrhardt ]
  * fix checker errors to let runtests.sh pass again (#717)

  [ Dan Watkins ]
  * python plugins: add process-dependency-links option (#734)

  [ Leo Arias ]
  * Start the fake parts server only in the tests that need it. (#720)
    (LP: #1611828)
  * In travis, install the static checkers with pip. (#724)
  * go plugin: add a go-buildtags property to the plugin (#733)

  [ Joe Talbott ]
  * Set owner/group for directories in stage and prime (#723)
  * parser - Return non-zero code for wiki errors. (#658)
  * Factor parts config into snapcraft/internal/parts.py (#731)

  [ Kyle Fazzari ]
  * Use link_or_copy instead of just hard-links for deb cache. (#728)
  * Support having the snapcraft.yaml in a subdir. (#725)
  * Dump plugin: Don't remove install directory. (#729)

  [ Jason Hobbs ]
  * Add artifacts option to make plugin. (#715)

  [ Michael McCracken ]
  * Clarification of make plugin help text (#730)

  [ Sergio Schvezov ]
  * Globally cache stage-packages (#677)
  * Remove store dispute logic (#732)
  * New upstream release 2.15 (LP: #1614322)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 17 Aug 2016 17:47:44 -0300

snapcraft (2.14) xenial; urgency=medium

  [ Joe Talbott ]
  * Add python package dependencies to setup.py (#550)
  * parser - Support .snapcraft.yaml files. (#618)
  * Preserve file ownership for 'os' snaps. (#690)

  [ Marius Gripsgard ]
  * Add new plugin: rust (#579)

  [ Sam Yaple ]
  * Fix python2 compile cache removal (#660)
  * Improve python2 test coverage (#663)

  [ Stéphane Graber ]
  * Implement "oneshot" daemon type (#693)

  [ Bogdana Vereha ]
  * Replace 'strip' with 'prime' on intro page and step options. (#696)

  [ Kyle Fazzari ]
  * Rewrite shebangs generated by the python plugins. (#680)
  * Add godeps plugin. (#691)
  * Catkin plugin: Enforce C.UTF-8 locale. (#497)

  [ Blake Rouse ]
  * Pass --root to the python3 plugin on build (#694)
  * Add make-install-var field to the make plugin. (#711)

  [ Sebastian Bacher ]
  * Use the new snapcraft.io mailing list as contact information (#702)
  * Update the completion list of commands (#703)
  * Slightly tweak the "no jar files" errors (#704)

  [ Liu XiaoGuo ]
  * Added "camera" plug into the example (#706)

  [ Simon Quigley ]
  * Update the debian/control file (#662)
  * Add detection for an existing `.snapcraft.yaml` file before running
    `snapcraft init` (#669)

  [ Michael Hall ]
  * Strip common path prefixes from linkname as well as name when extracting
    a tarfile. (#688)

  [ Leo Arias ]
  * Use requirements files in travis tests (#656)
  * Enable integration tests to run in the production store (#687)

  [ Daniel Watkins ]
  * Make formatting of daemon options consistent (#710)

  [ Sergio Schvezov ]
  * Run tests from /tmp (#684)
  * Use the proper requirements.txt path (#707)
  * Improve the go plugins usability (#709)
  * kernel plugin: kernel targets depending on debarch (#689)
  * New plugin: dump (#712)
  * rust plugin: mock downloads in unit tests (#713)
  * New upstream release 2.14 (LP: #1611009)

 -- Sergio Schvezov <sergiusens@gmail.com>  Mon, 08 Aug 2016 14:58:39 +0000

snapcraft (2.13.1) xenial; urgency=medium

  [ Joe Talbott ]
  * parser - Add handling for carriage returns in wiki (#681)

  [ Sergio Schvezov ]
  * New upstream release 2.13.1 (LP: #1605107)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 25 Jul 2016 13:27:29 +0200

snapcraft (2.13) xenial; urgency=medium

  [ Colin Watson ]
  * Make maven plugin honour https_proxy and proxy authentication (#642)

  [ Dustin Kirkland ]
  * add a link for filing bugs/issues (#647)

  [ Joe Talbott ]
  * parser - Handle malformed wiki entries. (#636)
  * Use '/usr/bin/env python3' (#649)
  * parser - Don't allow duplicate wiki entries. (#613)
  * Preserve the ordering of the wiki entries (#596)

  [ Leo Arias ]
  * Add the test for the downloader snap (#589)
  * Do not clean before running the snaps tests (#637)

  [ Jonathan Cave ]
  * Create Plainbox Provider plugin (#609)

  [ Matthew Aguirre ]
  * ant plugin: use python std libraries and add tests (#644)
  * new plugin: gradle (#651)
  * maven plugin: support maven targets (#650)
  * Put options before jar task in command. (#655)

  [ Kyle Fazzari ]
  * Support "never" as a daemon restart condition. (#659)

  [ Simon Quigley ]
  * Fix four typos in `snapcraft help` (#667)

  [ Robin Winslow ]
  * Fix broken links to https://snapcraft.io (#665)

  * Implemented `snapcraft release` (#648)
  * Implement `snapcraft push` (#653)
  * Allow / in parts (#666)
  * Capture the correct exception when not being able to decode json (#672)
  * Special handling for pc files for conflicts (#676)
  * New upstream release 2.13 (LP: #1605107)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 21 Jul 2016 08:12:25 +0000

snapcraft (2.12.1) xenial; urgency=medium

  * New upstream release 2.12.1 (LP: #1600090)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 08 Jul 2016 13:31:34 -0300

snapcraft (2.12) xenial; urgency=medium

  [ Simon Quigley ]
  * Change apt-get to apt in HACKING.md (#564) (LP: #1591421)
  * Changed the mailing list in HACKING.md from snappy-devel to snapcraft
    (#577)
  * Add Subversion support (#567) (LP: #1543243)

  [ Joe Talbott ]
  * Include 'maintainer' and 'description' in the parser output. (#565)
    (LP: #1591199)
  * Support "```" wiki code tags in the parser. (#569) (LP: #1592133)
  * Add snapcraft-parser integration test. (#560) (LP: #1590268)
  * Make most wiki fields required. (#581) (LP: #LP: #1592133)
  * Add more info about reusable parts. (#527) (LP: #1582499)
  * Allow parts without a 'source' entry. (#599)

  [ Sergio Schvezov ]
  * New plugin: gulp (#563) (LP: #1575880)
  * Support for a hidden snapcraft.yaml (#582) (LP: #1587933)
  * Implement `snapcraft update` for parts (#588) (LP: #1594643)
  * Support updating cache without content-length (#598) (LP: #1595610)
  * Switch from local copy to the proper python package. (LP: #1590813)
  * Integrate with new remote parts (#590) (LP: #1594976)
  * Implement `snapcraft define` for parts (#594) (LP: #1594643)
  * Update the remote parts cache before demo tests (#604) (LP: #1596114)
  * Add missing build-packages for rpath test (#605) (LP: #1596114)
  * Implement snapcraft search (#608) (LP: #1596222)

  [ Bayard Randel ]
  * Ignore .eggs dir. (#572)

  [ Leo Arias ]
  * Use pexpect when testing the building of snaps (#573) (LP: #1592943)
  * Allow to run a subset of integration tests. (#576) (LP: #1593009)
  * Improve the store errors returning exceptions (#585) (LP: #1594636)
  * Add the register command (#586) (LP: #1595012)
  * Improve error reporting (#591) (LP: #1588023)
  * Fix the store update test to register a unique name (#595) (LP: #1595319)
  * Use a xenial docker container for travis executions (#597) (LP: #1532213)
  * Simplify the list plugins integration test (#607) (LP: #1596112)
  * Remove the unittests from the autopkgtest execution (#600) (LP: #1596068)

  [ Evan Dandrea ]
  * Make lxd containers ephemeral. (#578) (LP: #1577548)

  [ Daniel Holbach ]
  * it's myapps.developer.ubuntu.com (#587) (LP: #1594844)

  [ Rob Loach ]
  * Fix Snap icons for Demos (#574)

  [ Kyle Fazzari ]
  * Add qmake plugin. (#566) (LP: #1574774)
  * Don't copy libraries that are already in prime. (#580) (LP: #1570895)
  * Make app names more restrictive. (#555) (LP: #1589613)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 27 Jun 2016 13:58:10 -0300

snapcraft (2.11) xenial; urgency=medium

  [ Leo Arias ]
  * Make the lxd unit test pass in architectures other than amd64. (#552)
    (LP: #1589747)
  * Support running the snaps tests in multiple architectures (#554)
    (LP: #1589779)
  * Make the IsDirty unit test case pass in architectures other than
    amd64. (#553) (LP: #1589752)

  [ Didier Roche ]
  * Reenable get and set tourdir unit tests (#551) (LP: #1589782)
  * Add finale tour examples and tests (#558) (LP: #1590903)
  * Reenable tour command (#559) (LP: #1590906)

  [ Sergio Schvezov ]
  * Fix or address lintian errors and warnings (#561) (LP: #1588980)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 09 Jun 2016 18:46:22 -0300

snapcraft (2.10.1) xenial; urgency=medium

  * Backwards compatible clean with strip (#556) (LP: #1590256)

 -- Sergio Schvezov <sergiusens@gmail.com>  Wed, 08 Jun 2016 16:32:27 -0300

snapcraft (2.10) xenial; urgency=medium

  [ Martin Wimpress ]
  * Correct autotools tests to use configflags (#521)

  [ Leo Arias ]
  * Run the integration tests against a local fake server when the user
    password is not in the environment. (#511) (LP: #1585023)
  * Move the login and logout methods to a client. (#518) (LP: #1586504)
  * Improve the config handling. (#519) (LP: #1586511)
  * Fix the one-time password login. (#529) (LP: #1586832)
  * Moved the download to the store client. (#530) (LP: #1586836)
  * Moved the upload to the store client. (#531) (LP: #1586836)
  * Updated the documentation about the icon. (#542) (LP: #1578231)
  * Improve the error message when a part binary is not found. (#541)
    (LP: #1582367)
  * Re-enable the ROS demo for autopackage testing. (#520) (LP: #1588098)
  * Add macaroon support to login, upload and download. (#532) (LP: #1586910)
  * Set the no_proxy environment variable to access the local fake servers.
    (#546) (LP: #1588631)

  [ Stephen Stewart ]
  * nodejs plugin: Support configurable node version (#509) (LP: #1586104)

  [ Kyle Fazzari ]
  * Use correct cross-build packages for ppc64le. (#539) (LP: #1570944)

  [ Sergio Schvezov ]
  * Support zip files as source (#523) (LP: #1577062)
  * A nicer error message for incorrect stage-packages (#524) (LP: #1568131)
  * Support the assumes keyword (#525) (LP: #1586429)
  * Improve the template for snapcraft init (#528) (LP: #1575581)
  * Filter out *.snap from sourcedir (#535) (LP: #1575628)
  * Support setting a gopath for a go project from vcs (#538) (LP: #1583426)
  * Add a ticker for snapping (#540) (LP: #1582955)
  * Rename strip to prime (#543) (LP: #1582515)

  [ Didier Roche ]
  * Wrap plugin list output content (#534) (LP: #1587057)
  * Add snapcraft examples to scaffold getting started tour (#513)
    (LP: #1586137)

  [ Joe Talbott ]
  * Add support for parsing the parts wiki (#545) (LP: #1587583)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 03 Jun 2016 13:37:58 -0300

snapcraft (2.9) xenial; urgency=medium

  [ Leo Arias ]
  * autopkgtests: run the install examples tests in classic. (#481)
    (LP: #1572764)

  [ Matteo Bertini ]
  * Fix typo in description of the python3 example. (#504)

  [ Jamie Bennett ]
  * Documentation: Use plugs instead of caps. (#507)

  [ Chris Wayne ]
  * Add in bash completion. (#453) (LP: #1570506)

  [ Sergio Schvezov ]
  * Fail validation if plugs or slots are declared at the part level (#514)
    (LP: #1581166)

  [ Kyle Fazzari ]
  * Make pull and build steps dirty if target arch changes. (#450)
    (LP: #1564192)
  * Add support for the confinement property. (#501) (LP: #1580819)
  * Add support for the epoch property. (#502) (LP: #1581113)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 24 May 2016 23:32:11 -0300

snapcraft (2.8.8) xenial; urgency=medium

  * Create the 'partial' directory for apt. (#499) (LP: #1578007)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 04 May 2016 14:22:58 -0300

snapcraft (2.8.7) xenial; urgency=medium

  * Don't fail if there is no system library list (#496) (LP: #1577750)

 -- Sergio Schvezov <sergiusens@gmail.com>  Tue, 03 May 2016 10:58:57 -0300

snapcraft (2.8.6) xenial; urgency=medium

  [ Leo Arias ]
  * Import mock from unittest. (#492) (LP: #1576998)

  [ Sergio Schvezov ]
  * Remove missing replacement for unittest.mock (#494) (LP: #1576998)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Sat, 30 Apr 2016 18:44:44 -0300

snapcraft (2.8.5) xenial; urgency=medium

  [ Leo Arias ]
  * autopkgtests: run the tests using the installed package (#464)
    (LP: #1570992)
  * Remove --allow-unauthenticated from examples tests (#482) (LP: #1573211)
  * Update the assertion of the example install (#483) (LP: #1573243)
  * Examples tests: Update the path to the snaps binaries (#484) (LP: #1573349)
  * Examples tests: use systemctl instead of the removed snap service (#485)
    (LP: #1573697)
  * Update the mosquitto example SNAP_USER_DATA path. (#486) (LP: #1574857)
  * Update the busybox test to use the snap data path. (LP: #1574901)
  * Remove the integration tests coverage. (#488) (LP: #1575383)

  [ Sergio Schvezov ]
  * Don't clean target before extracting npm (#489) (LP: #1575876)
  * Don't delete the nodejs download on build. (#490) (LP: #1575882)

  [ Vincent Ladeuil ]
  * Make upload more robust by ignoring spurious errors while polling the
    scan status. (#480) (LP: #1572963)

  [ Kyle Fazzari ]
  * docs/get-started.md: Stop discussing snappy-tools. (#454) (LP: #1568113)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 29 Apr 2016 14:59:47 -0300

snapcraft (2.8.4) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Use series 16 by default instead of rolling-core (#477) (LP: #1572602)
  * kernel plugin: iterate over modules to add to initrd (#476) (LP: #1572118)

  [ Kyle Fazzari ]
  * Follow symlinks while hard-linking migrated files. (#478) (LP: #1572664)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 20 Apr 2016 19:15:32 -0300

snapcraft (2.8.3) xenial; urgency=medium

  [ Kyle Fazzari ]
  * docs/intro.md: Fix broken developer reference link. (#456) (LP: #1558296)
  * Nil plugin: Make purpose more clear in documentation. (#455) (LP: #1549691)
  * Use colors for logging. (#474) (LP: #1572186)

  [ Leo Arias ]
  * Update the snapcraft-coverage script to use the internal dirs (#471)
    (LP: #1571696)

  [ Sergio Schvezov ]
  * Fix shell quoting (#473) (LP: #1572129)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 19 Apr 2016 17:59:45 -0300

snapcraft (2.8.2) xenial; urgency=medium

  * Don't expose broken or fragile APIs to plugins (LP: #1571264)
  * catkin plugin: use ProjectOptions for repo setup (#468) (LP: #1571446)
  * qml plugin: remove broken plugin (#469) (LP: #1551343)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 18 Apr 2016 10:06:15 -0300

snapcraft (2.8.1) xenial; urgency=medium

  [ Simon Busch ]
  * Correctly pass arguments to Cleanbuilder (#458) (LP: #1570706)

  [ Sergio Schvezov ]
  * Only add cross build packages when cross compiling. (#451) (LP: #1570414)
  * Fix store downloading (#452) (LP: #1569734)

  [ Kyle Fazzari ]
  * Add support for s390x architecture. (#461) (LP: #1570835)
  * Add SNAP_LIBRARY_PATH to LD_LIBRARY_PATH. (#462) (LP: #1570945)
  * Kernel plugin: Support lzma/xz-compressed initrd. (#463) (LP: #1569337)

 -- Kyle Fazzari <kyle@canonical.com>  Fri, 15 Apr 2016 23:35:47 +0000

snapcraft (2.8) xenial; urgency=medium

  [ Didier Roche ]
  * Support .git extension detection (LP: #1566153)

  [ Kyle Fazzari ]
  * Copy plugin: Follow symlinks if outside of snap. (LP: #1532515)
  * Lifecycle: Check to see if prerequisite is already built. (#431)
    (LP: #1537790)
  * Clean command: Don't automatically clean reverse dependencies. (#436)
    (LP: #1568004)
  * Library crawling: Make ldd failure non-fatal. (#440) (LP: #1569280)
  * Automatically re-strip if dirty. (#442) (LP: #1477904)
  * Automatically re-stage if dirty. (#443) (LP: #1477904)
  * Detect dirty build step. (#447) (LP: #1477904)
  * Detect dirty pull step. (#448) (LP: #1477904)

  [ Sergio Schvezov ]
  * Precedence and library path ordering. (LP: #1548232)
  * Converge all commands into one (#433) (LP: #1567058, #1567041)
  * Make geoip optional and local sources a default (#430)
    (LP: #1536691, #1561068)
  * Remove global state attributes from snapcraft.common (#434) (LP: #1551849)
  * Remove support and mentions of the config hook. (#437) (LP: #1568826)
  * Remove `old-security`. Use proper interfaces. (#441) (LP: #1569452)
  * Make meta a class in snapcraft.internal.meta (#444) (LP: #1551849)
  * Move common directories to ProjectOptions (#445) (LP: #1551849)
  * debian/control: Update Standards-Version.

  [ Leo Arias ]
  * Add a test for the mosquitto example. (#418) (LP: #1564181)
  * Update the snap command in examples tests. (#439) (LP: #1569401)

  [ Vincent Ladeuil ]
  * VCS tools are test dependencies, they should be installed to run the
    tests or the tests should be skipped. (#427) (LP: #1566882)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 13 Apr 2016 21:37:32 -0300

snapcraft (2.7) xenial; urgency=medium

  [ Joe Talbott ]
  * make plugin: Add 'make_parameters' option. (LP: #1563535)

  [ Sergio Schvezov ]
  * Clear icon path before trying to write the new one (LP: #1561331)
  * Raise a nice error when downloading without a login (LP: #1560553)
  * Explain the new way to provide snap icons. (LP: #1561327)
  * Redo pkg-config handling with library collecting (LP: #1549570)
  * Properly validate the schema (LP: #1564607)
  * kbuild: always run defconf with -j1 (LP: #1564191)

  [ Leonardo Arias Fonseca ]
  * integration tests: use a temporary config path (LP: #1562000)
  * Upload snaps passing the snap path. (LP: #1563760)

  [ Vincent Ladeuil ]
  * Fix test isolation issues. (LP: 1563965)

  [ Kyle Fazzari ]
  * docs/plugins.md: Update for new plugin API. (LP: #1561524)
  * Suggest a full clean if step clean is missing state. (LP: #1561328)
  * Copy plugin: Add support for sources. (LP: #1559154)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 04 Apr 2016 23:54:56 -0300

snapcraft (2.6.1) xenial; urgency=medium

  [ Kyle Fazzari ]
  * Clean: Leave local plugins alone. (LP: #1561546)

 -- Kyle Fazzari <kyle@canonical.com>  Thu, 24 Mar 2016 16:04:13 +0000

snapcraft (2.6) xenial; urgency=medium

  [ Leonardo Arias Fonseca ]
  * libpipeline example test: update the binary name (LP: #1560254)
  * busybox example: update the expected results (LP: #1560255)

  [ Sergio Schvezov ]
  * Snaps of type os should not squash with -all-root (LP: #1557513)
  * Support architecture all packages when snapping (LP: #1560481)
  * Add missing build-packages to the busybox example (LP: #1560586)
  * Fixed assets go into a setup dir (LP: 1560969)
  * Include and library paths must exist (LP: #1558965)

  [ Kyle Fazzari ]
  * Support per-step clean command. (LP: #1537786)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 24 Mar 2016 01:16:12 -0300

snapcraft (2.5) xenial; urgency=medium

  [ Leonardo Arias Fonseca ]
  * examples_tests: added more tests after the snaps are installed.
    (LP: #1545071)
  * travis: run the tests in the GCE trusty machine. (LP: #1555386)

  [ Daniel Holbach ]
  * Remove information about PPA. snapcraft and tools will be kept
    up-to-date in xenial. (LP: #1554565)

  [ Scott Sweeny ]
  * Remove Unicode quotes from help text (LP: #1555733)

  [ Sergio Schvezov ]
  * Correct local source pulling (LP: #1558446)
  * New plugin: kbuild (LP: #1558623)
  * Support downloading snaps (LP: #1558970)

  [ Alexander Sack ]
  * New plugin: kernel (LP: #1552168)

  [ Kyle Fazzari ]
  * Improve per-step state tracking. (LP: #1558810)
  * Migrate old state to new. (LP: #1560158)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Mon, 21 Mar 2016 20:38:18 -0300

snapcraft (2.4) xenial; urgency=medium

  [ Kyle Fazzari ]
  * Catkin plugin: Print nice message if dependency is invalid. (LP: #1548370)
  * Catkin plugin: Handle rosdep empty and multiple dependencies.
    (LP: #1548406, #1548404)
  * Support --debug flag to enable backtrace and debug logs. (LP: #1548492)
  * CMake plugin: Automatically find staged libs and files. (LP: #1550778)
  * Copy entire source, even if source-subdir is specified. (LP: #1549676)
  * Autotools plugin: Support installing via prefix. (LP: #1544629)
  * Support parallel builds (enabled by default). (LP: #1551417)

  [ Sergio Schvezov ]
  * Clear error when specifying a non existing command (LP: #1550496)
  * Skip the BasePlugin from plugin search (LP: #1547681)
  * Expose the invalid build-package on error (LP: #1547672)
  * Migrate from skills to interfaces (LP: #1549427)
  * Do not print which's output to stdout (LP: #1551939)
  * catkin plugin: combine deps as a union of sets (LP: #1552498)
  * Support for a daemon's restart-condition. (LP: #1552160)
  * Remove the useles decode done in tests. (LP: #1552403)

  [ Leonardo Arias Fonseca ]
  * travis: clean up the lxd script (LP: #1550379)
  * examples_tests: update the expected result of the libpipeline test
    (LP: #1554637, #1554641)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 09 Mar 2016 17:31:26 +0700

snapcraft (2.3.2) xenial; urgency=medium

  * debian/control: lxd should be a suggestion, not a direct dependency.
    (LP: #1550381)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 26 Feb 2016 11:59:46 -0300

snapcraft (2.3.1) xenial; urgency=medium

  [ Leonardo Arias Fonseca (¡paz y baile!) ]
  * examples_tests/libpipeline: skip the output assertion when skipping the
    install. (LP: #1550108)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 26 Feb 2016 03:47:11 -0300

snapcraft (2.3) xenial; urgency=medium

  [ Leonardo Arias Fonseca ]
  * storeapi: reduce the mccabe complexity (LP: #1541011)
  * catkin plugin: do not overwrite the PYTHONPATH (LP: #1544790)
  * examples_tests: fix the libpipeline test. (LP: #1546771)
  * travis: update the command to wait for the network (LP: #1549880)

  [ Daniel Holbach ]
  * Generate reference from snapcraft's "help" command. (LP: #1544540)

  [ Kyle Fazzari ]
  * Remove roscore plugin. (LP: #1539169)

  [ Sergio Schvezov ]
  * New command cleanbuild (using lxd) (LP: #1480144)
  * Calling snapcraft with no args defaults to snap (LP: #1548915)
  * More attributes for the squashfs'ed snap (LP: #1546821)
  * Catch a failure to detach for the log (LP: #1549831)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 25 Feb 2016 16:00:05 -0300

snapcraft (2.2.2) xenial; urgency=medium

  * Set the "after" test's cmake project to use no language (LP: #1544792)
  * Disable ros example in adt tests (LP: #1544790)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Fri, 12 Feb 2016 17:04:18 -0300

snapcraft (2.2.1) xenial; urgency=medium

  * Add missing build-packages for the opencv example (LP: #1544347)
  * Add missing libc6 build dep to integration tests (LP: #1544343)
  * Replace dpkg-architecure calls in tests (LP: #1544340)
  * Replacing the need for pyversions (LP: #1541451)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Thu, 11 Feb 2016 17:03:57 -0300

snapcraft (2.2) xenial; urgency=medium

  [ Leo Arias ]
  * Add the unit tests to the autopkgtest suite. (LP: #1541421)
  * Use docopt to handle example tests arguments. (LP: #1533395)
  * integration-tests: add login and logout tests (LP: #1541391)
  * integration_tests: add a successful upload test (LP: #1541391)
  * travis: remove the coveralls token (LP: #1543675)
  * examples_tests: decode the output with utf-8 (LP: #1543714)

  [ Daniel Holbach ]
  * Clear APT::Update::Post-Invoke-Success so we don't run scripts like
    update-motd-updates-available. (LP: #1541894)
  * Import https://developer.ubuntu.com/snappy/guides/mir-snaps/
    into docs/mir-snaps.md (LP: #1541404)
  * Use image link which actually works (raw.githubusercontent.com shows
    SVG as raw XML, rawgit.com works as expected). (LP: #1542422)
  * Document Snapcraft's wrapper script (steal text from App Dev Manual 15.04)
    (LP: #1543581)
  * Briefly explain the filesystem layout. (LP: #1543596)
  * move image into docs/images (LP: #1542422)

  [ Kyle Fazzari ]
  * Improve snapcraft.yaml validation errors. (LP: #1524663)
  * Snap: When snapping a directory, look for snap.yaml. (LP: #1541987)
  * Upload: Obtain name from YAML instead of snap package. (LP: #1541353)

  [ Sergio Schvezov ]
  * Support setting an output file when snapping (LP: #1542479)
  * adt fixes for maven and noninteractive deb install (LP: #1542511)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Wed, 10 Feb 2016 14:56:42 -0300

snapcraft (2.1.1) xenial; urgency=medium

  [ Kyle Fazzari ]
  * Make requests-toolbelt and progressbar a Depends. (LP: #1541349)

  [ Sergio Schvezov ]
  * Add gcc as build-packages to integration tests (LP: #1541332)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 03 Feb 2016 11:00:00 -0300

snapcraft (2.1) xenial; urgency=medium

  [ Leo Arias ]
  * Run the tests in a xenial LXC. (LP: #1532213)
  * Added a mosquitto example. (LP: #1537778)
  * Refactored the local source pull. (LP: #1538250)
  * Full coverage of meta.py with unit tests. (LP: #1538260)
  * Do not report coverage for static and examples tests. (LP: #1538643)
  * Add tests errors as details. (LP: #1538354)
  * Fix the examples tests using testtools as the base. (LP: #1539196)
  * Use the git http protocol in the examples tests. (LP: #1539139)

  [ Daniel Holbach ]
  * Make sure that version is set correctly no matter what (version for
    2.0.1 release was '2.0') (LP: #1537580)
  * Add document about how to specify app metadata (commands, daemons,
    config). (LP: #1535905)
  * Add document about debugging snaps. (LP: #1538016)
  * Try to capture what the articles are about in a more concise and
    clearer way. (LP: #1539502)
  * Add more links between the individual articles. (LP: #1539540)

  [ Reto Breitenmoser ]
  * tar-content plugin: Add capability to unpack into a specific
    destination directory (LP: #1478055)

  [ Kyle Fazzari ]
  * Make plugin: Support non-standard makefile name. (LP: #1500759)
  * Add documentation for how to use snapcraft upload. (LP: #1539234)
  * Upload: Clean up output. (LP: #1538692, #1539814)

  [ Alexander Sack ]
  * Fix FD leakage by closing apt cache in repo.py (LP: #1537705)

  [ Ricardo Kirkner ]
  * Added support for uploading snap packages directly to the Ubuntu
    Store. (LP: #1538657)
  * Make sure otp is included in the login request only if it's not
    empty (LP: #1539208)

  [ Sergio Schvezov ]
  * Support $SNAPCRAFT_STAGE for parts (LP: #1538688)
  * debian/control: add python3-responses (LP: #1539199)
  * Use the log fixture for logging by default for ut (LP: #1539817)
  * Make package installation dynamic to reduce deps (LP: #1539146)
  * Remove legacy formatting and implement skills (LP: #1539122)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Tue, 02 Feb 2016 10:24:04 -0300

snapcraft (2.0.1) xenial; urgency=medium

  [ Vamshi Balanaga ]
  * Added a unit test for pulling bazaar sources from URIs. (LP: #1536283)

  [ Kyle Fazzari ]
  * Autotools plugin: Call make before make install (LP: #1536700)
  * Add build-package description to docs/snapcraft-sytax.md (LP: #1536659)
  * Git source: Make a shallow clone. (LP: #1536696)
  * Git source: Support submodules. (LP: #1536698)

  [ Daniel Holbach ]
  * Remove 'vendor' from snapcraft init template. Explain that the icon is optional.
    (LP: #1536860)
  * Add documentation about writing your own plugins. (LP: #1535897)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Sun, 24 Jan 2016 09:22:04 -0800

snapcraft (2.0) xenial; urgency=medium

  [ Daniel Holbach ]
  * Add document detailing the snapcraft.yaml syntax.
  * Add missing periods and fixed typos on the docs.
  * Remove vendor for 'master'.
  * Add document about parts.
  * Add link to config docs.

  [ Sergio Schvezov ]
  * Removing the `run` command.
  * Update the release for the tomcat example snap.
  * Wrapping exe should not remove the path. (LP: #1523912)
  * cli: Move to docopt, help cmd migrated.
  * cli: list-plugins cmd migrated to docopts.
  * cli: clean cmd migrated to docopts.
  * cli: init cmd migrated to docopts.
  * cli: pull command migrated to docopts.
  * clean cmd: migrate to use new lifecycle attribs.
  * Removing dead test code.
  * cli: build command migrated to docopts.
  * cli: stage command migrated to docopts.
  * Remove dead code from lifecycle.
  * cli: strip command migrated to docopts.
  * Obsolete deprecations from 1.x.
  * Removing the 'vendor' keyword. (LP: #1510522)
  * Making the icon optional.
  * cli: snap command migrated to docopts.
  * Enabling testing with new cli.
  * Fix ordering for conditional negations in catkin tests.
  * Replace use of `assert_not_called` in the catkin tests.
  * General documentation update.
  * Add licensing support. (LP: #1527453)
  * snap.yaml implementation with support for readme.md and package.yaml.
    (LP: #1532842)
  * Documentation refresh. (LP: #1533021)
  * Support the new security-override semantics. (LP: #1533293)
  * Remove ssh module from snapcraft. (LP: #1533400)
  * Fix environment variable handling. (LP: #1531481)
  * Wrap apps with the app name. (LP: #1534150)
  * Replace SNAP envvars with the 16.04 ones. (LP: #1533552)
  * Add bin paths to the to the shebang replace paths in repo (LP: #1534812)
  * Initialize CMAKE_PREFIX_PATH to [] for ros (LP: #1535309)

  [ Leo Arias ]
  * Added a test to check that the snapcraft files are not copied to the build dir.
  * On autopkgtests, run the integration tests, build the examples but do not
    install them, do not run the unittests.
  * Translated the plainbox tests to python.
  * Workaround the failure of the binaries in trusty.
  * Updated the runtests script error message.
  * Updated the autopkg integration tests.
  * Handle the filter parameter for examples tests. (LP: #1533393)
  * Split the static and unit tests. (LP: #1533397)
  * Added the option to output subunit results in examples tests. (LP: #1533403)
  * Updated the tomcat example network capability. (LP: #1533736)
  * Added the network-listener capability. (LP: #1534784)
  * Add a security-override for chown.

  [ Kyle Fazzari ]
  * Catkin plugin: Add support for ROS tools.
  * Add contribution guide.
  * Resolve FIXME in Catkin plugin.
  * Add a tutorial for turning a ROS project into a .snap.
  * Catkin plugin: use rosdep for dependency resolution.
  * Python{2,3} plugins: Make site-packages link relative. (LP: #1523384)
  * Catkin plugin: Refactor build.
  * ROS documentation: Fix missing step to make script executable.
  * Catkin plugin: Improve cmake path rewrite.
  * Add support for mesa libraries. (LP: #1531620)
  * Autotools plugin: Set autogen.sh executable. (LP: #1530995)
  * Update CONTRIBUTING.md to require a bug. (LP: #1532195)
  * Ensure rosdep resolves dependencies using Trusty. (LP: #1532241)
  * Catkin plugin: Use in-snap python instead of OS-provided. (LP: #1533297)
  * Always migrate files, even if they already exist. (LP: #1534800)

  [ Alexander Sack ]
  * Use archive.apache.org URL to ensure we refer to a stable URL that does
    not disappear on latest release.

  [ Jonathan Cave ]
  * Go plugin creating invalid env. (LP: #1524374)

  [ Renat Galimov ]
  * Close not called on the qml plugin. (LP: #1531994)

  [ Vamshi Balanaga ]
  * Added test for git sources in sources.py (LP: #1534411)

 -- Leonardo Arias Fonseca <leo.arias@canonical.com>  Fri, 15 Jan 2016 17:52:01 -0600

snapcraft (1.0) xenial; urgency=medium

  [ Sergio Schvezov ]
  * Wrapping exe should not be over match to replace (LP: #1523912)

  [ Alexander Sack ]
  * Use archive.apache.org URL to ensure we refer to a stable URL that does
    not disappear on latest release

  [ Daniel Holbach ]
  * Add doc about the syntax of snapcraft.yaml

  [ Kyle Fazzari ]
  * Add support for mesa libraries. (LP: #1531620)
  * Add a tutorial for turning a ROS project into a .snap.
  * Autotools plugin:
    - Set autogen.sh executable. (LP: #1530995)
  * Catkin plugin:
    - Add support for ROS tools (e.g. roslaunch and rosrun).
    - Use rosdep for dependency resolution.
    - Refactor build.
    - Improve cmake path rewrite.
    - Ensure rosdep resolves dependencies using Trusty. (LP: #1532241)
  * Python2 plugin:
    - Make site-packages link relative. (LP: #1523384)
  * Python3 plugin:
    - Make site-packages link relative. (LP: #1523384)

  [ Renat Galimov ]
  * Close not called on the qml plugin (LP: #1531994)

 -- Kyle Fazzari <kyle@canonical.com>  Thu, 7 Jan 2016 09:09:21 -0400

snapcraft (0.6) xenial; urgency=medium

  [ Leo Arias ]
  * Start a suite for examples tests.

  [ Sergio Schvezov ]
  * nodejs plugin: support 32 bit node
  * go plugin: remove hardcoded arch triplet from test
  * Don't filter out easy install's .pth and wrap config (LP: #1519724)
  * Remove the `parts` arg from `init` (LP: #1516775)
  * Support architectures override (LP: #1520248)
  * Detect encoding of snapcraft.yaml before parsing (LP: #1518150)

  [ Daniel Holbach ]
  * Document how to insall and setup snapcraft.
  * Update documentation to include node.js example
  * Document filesets and excludes
  * Make the webcam example click-review happy.
  * Initialize shebang variable when wrapping execs (LP: #1519702)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Mon, 30 Nov 2015 16:31:47 -0300

snapcraft (0.5) xenial; urgency=medium

  [ Sujeevan Vijayakumaran ]
  * Added 'git@' to the automatic identification of the source.
  * Updated HACKING: replaced Launchpad with GitHub.

  [ Bjorn Tillenius ]
  * Rewrite the shebang and execute it in the wrapper script.
    (Fixes LP: #1507357 and LP: #1516404)

  [ Leo Arias ]
  * Replaced the usage of % with .format. (LP: #1477638)
  * Fixed the id of the circle tests.
  * Replaced the double quotes by single quotes on strings. (LP: #1476467)
  * Added the instructions to run the tests in travis.
  * Split the suite in two: unit and plainbox.

  [ Sergio Schvezov ]
  * Don't wrap the vcs commands in the env.
  * Making source management common to all types.
  * Updating setup.py's metadata.
  * Do not install recommends for build or stage pkgs. (LP: #1500375)
  * Silence the init unit test and verify stdout.
  * Making the examples individual tests.
  * Inherit directly from the BasePlugin for autotools.
  * Clean for parts and remove dup from lifecycle and plugin.
  * Validate that 'plugins' is not used as a part name.
  * Support the source-subdir keyword for parts.
  * Adding a ticker to `snappy build`. (LP: #1502410)
  * Exiting with error when a plugin cannot be loaded.
  * catkin plugin: Get deps from the part's sourcedir, fail if needed.
  * go plugin:
    - Use CGO_LDFLAGS when building. (LP: #1513935)
    - Support local sources. (LP: #1515132, LP: #1516228 and LP: #1499240)
    - Implement a go-packages plugin property
  * nodejs plugin:
    - Initial implementation. (LP: #1518403)
    - Support node-packages.
  * copy plugin: Support globs. (LP: #1478054)
  * catkin plugin:
    - Typo s/packages.xml/package.xml/
    - Catch the correct exception for missing catkin pkg

  [ Ted Gould ]
  * Adding a simple tree test to look at the dependency resolution
  * Add schema for the core properties of the system that are independent of a part
  * copy-plugin: test for directories. (LP: #1478052)
  * python plugins:
    - Support pip-packages. (LP: #1502132)
    - fix conflicts with pyc files. (LP: #1502105)

  [ Paul Larson ]
  * Don't throw exception on snapcraft run exit status. (LP: #1499242)
  * Minor fixes to setup.py

  [ Jonathan Cave ]
  * Add nil plugin. (LP: #1518404)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Tue, 24 Nov 2015 13:29:19 -0300

snapcraft (0.4) xenial; urgency=medium

  * Core:
    - Install build packages if package is removed but not purged
      (LP: #1507814)
    - Don't crash on help for unexisting plugin (LP: #1510954)
    - Don't follow links when checking for suid/guid for unpacked
      debian package contents (LP: #1511161)
    - Raise exceptions for plugin errors (LP: #1481122)
    - Exit cleanly with an error when using the source keyword with a local
      file (LP: #1499424)
    - Add version flags to cli (LP: #1501222)
    - Search the wiki for a part if the 'plugin' keyword is missing
      (LP: #1506205)
    - Developer documentation for the plugin base class added (LP: #1507075)
    - Add subcommand to list plugins (LP: #1510160)
    - Add subcommand for help (LP: #1510683)
  * Plugins:
    - autotools: use autoreconf if needed (LP: #1507648)
    - maven: support maven flags (LP: #1502031)
    - catkin: new plugin for building ros projects (LP: #1506201)
  * Packaging:
    - Run tests on package build (LP: #1506096)
    - debian/control: python3-fixtures and python3-testscenarios build deps
      (LP: #1507573)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Thu, 29 Oct 2015 12:52:04 -0300

snapcraft (0.3) wily; urgency=medium

  * Core imprevements:
    - Add deprecation messages for deprecated keywords (LP: #1501494)
    - Remove suid/guid from staged packages (LP: #1503495)
    - Autodetect tar sources (LP: #1500726)
    - Better logging if output is not a tty (LP: #1500887)
    - Improved error message when a plugin is not found (LP: #1501980)
  * Plugin improvements:
    - Types instead of plugin as a keyword (LP: #1500857)
    - Plugin names no longer have '-project' as a suffix (LP: #1501496)
    - Local plugins can override built-in ones with x-[plugin].py
      (LP: #1500873)
  * New plugins:
    - Scons support added (LP: #1500758)
  * Bug fixes:
    - Multi python3 install support (LP: #1499429)
    - Use the system series for stage-packages (LP: #1501035)
    - Handle framework policies (LP: #1501037).
    - Don't infer a plugin name from a part name (LP: #1501413)
    - Installation errors during build-package's setup now errors
      (LP: #1502449)
    - When a dangling symlink is found, try and satisfy it with a
      package on the host (LP: #1500505)
    - Support reextraction when using tar sources (LP: #1500728)
    - Do not require geoip (LP: #1499158)
  * Examples:
    - Fix build requirements issue with python2 project (LP: #1501997)
    - Add missing plugin keyword for the python2 example (LP: #1501977)
    - Updated the upstream tarball for tomcat (LP: #1504174)

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 25 Sep 2015 12:46:23 +0200

snapcraft (0.2.1) wily; urgency=medium

  * New upstream release (LP: #1499265)
  * Brown-paper bag release:
    - Fix install path of examples. Thanks Martin Pitt for noticing.
    - Allow using local sources through an env var (mostly useful for
      Launchpad building).

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 24 Sep 2015 11:37:36 +0200

snapcraft (0.2) wily; urgency=medium

  * Better setuptools support:
    - Better support python-setuptools (LP: #1481864),
    - Used builddir as a base for setup.py overrides (LP: #1498212),
    - Fix build (LP: #1494825),
  * Plugin fixes:
    - Add demo.qml back to the snapcraft.yaml for the QML Demo (LP: #1491301),
    - stage package libgudev-1.0-0, which makes the godd snap actually
      work (LP: #1498347),
    - Wrap setup.py calls to configure the shebang writer (LP: #1486680),
    - Update tomcat upstream URL, fixes example again (LP: #1491303),
    - Add libgudev-1.0-dev as build-tools for godd example,
      Ensure C library configuration tools don't use system
      paths (LP: #1496789),
  * Snapcraft cli:
    - On clean, check the contents of the parts dir only if it
      exists. (LP: #1497371)
    - Load the config before trying to run (LP: #1498140),
    - Notify user why the password is being requested (LP: #1481499),
    - Fix numerous issues in snapcraft run (LP: #1486659),
  * Snapcraft stage-packages:
    - Enable ports for architectures that are not amd64 or
      i386 (LP: #1498157),
    - Improving stage-package handling (LP: #1497453, LP: #1497582)
    - Fetch all packages in a single download run with proper
      progress (LP: #1498333),
  * Snapcraft wiki queries excessive (LP: #1496381),
  * Snapcraft internals:
    - Add 'simple' and 'has-leftovers' flags to all integration tests job
      units. (LP: #1484596),
    - Regex for binary and service names (LP: #1495662),
    - Provide a nice error when tabs found in snapcraft.yaml (LP: #1477875),
    - Use relative paths for image creation (LP: #1497108),
    - Use the python logger (LP: #1476452),
    - snapcraft now has less exit points (LP: #1477639),
    - Depend and Build-Depend on python3-requests (LP: #1496363),
    - Add autopkgtest, reshuffle build-deps accordingly (LP: #1496392),
    - Fix "snapcraft run" (LP: #1484720),
  * Examples packaged (LP: #1498189).

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 24 Sep 2015 14:23:24 -0300

snapcraft (0.1) wily; urgency=low

  * Initial release

 -- Michael Terry <mterry@ubuntu.com>  Mon, 6 Jul 2015 21:55:21 -0500
